FXTools/VB Professional OVERVIEW
FXTools/VB Professional Edition

Custom Control Overview

When you add a custom FXTools control to your project, its icon is displayed in the Toolbox.  You can select the custom control by clicking this icon.

The Toolbox icons for the custom controls included with FXTools Professional Edition are listed in the following table.

Icon	Control	Description

FXImage	FXTools image control.

FXLabel	FXTools label control.

FXShape	FXTools shape control.

FXRtext	FXTools rotating text control.

FXMtext	FXTools moving text control.

FXSnd	FXTools sound control.

FXVid	FXTools video control.

FXFif	FXTools image control that supports Iterated

Systems, Inc. FIF image file format.

FXCmp	FXTools image control that supports LEAD

Technologies, Inc. image file formats.


FXIMAGE Control
     FXImage Custom Control

Description

The FXTools Image control emulates the standard Visual Basic image control, except that it displays BMP, DIB, GIF, PCX, TGA, and TIF (uncompressed) images.  In addition, this control provides the following features:

*	100 Main and Transition Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	Supports BMP, DIB, GIF, PCX, TGA, and TIF 5.0 image file formats

*	Image Color Transparency

*	Image Resize

*	3D Colored Borders

*	Bound Control

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	Multitasking

File Name

FXIMG200.VBX

Object Type

FXImage

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXImage control you should install the files FXIMG200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DataSource2 	Index	TEffect

AutoSize	DEffect1	Left	TEnabled

BInnerColor1	DEffect2	MDelay	TForeColor

BInnerColor2	DEffect3	MEffect	TGrain

BInnerStyle	DMode	MGrain	Top

BInnerWidth	DragIcon	MousePointer	Transparent

BorderColor	DragMode	Multitask	TransparentColor

BorderWidth	Enabled	Name	TransparentMode

BOuterColor1	Err	Notify	TStyle

BOuterColor2	FileName	NotifyDelay	UpdateImage

BOuterStyle	FXCanceled	Picture1	Visible

BOuterWidth	FXEnabled	ShowDithered	Wand

CancelMode	FXHeight	Tag	WandColor

DataChanged2	FXWidth	TBackColor	WandWidth

DataField2	Height	TDelay	Width

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Click	DragDrop	MouseDown	MouseUp

DblClick	DragOver	MouseMove	Notify

Methods

Drag	Move	Refresh	ZOrder


FXLABEL Control
     FXLabel Custom Control

Description

The FXTools Label control emulates the standard Visual Basic label control.  In addition, this control provides the following features:

*	100 Main and Transition Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	True 3D Bevel Styles and Colors

*	Seven (7) 3D Font Styles

*	Nine (9) Text Alignment Styles

*	Colored Shadows

*	Bound Control

*	DDE Support

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	Multitasking

File Name

FXLBL200.VBX

Object Type

FXLabel

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXLabel control you should install the files FXLBL200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DEffect1	FXCanceled	TBackColor

Alignment	DEffect2	FXEnabled	TDEffect1

AutoSize	DEffect3	Height	TDEffect2

BackColor	DMode	Index	TDEffect3

BackStyle	DragIcon	Left	TDelay

BInnerColor1	DragMode	LinkItem	TDMode

BInnerColor2	Enabled	LinkMode	TEffect

BInnerStyle	Font3D	LinkTimeout	TEnabled

BInnerWidth	FontBlockSize	LinkTopic	TForeColor

BorderColor	FontBold	MDelay	TGrain

BorderWidth	FontDropX	MEffect	Top

BOuterColor1	FontDropY	MGrain	TStyle

BOuterColor2	FontItalic	MousePointer	UpdateLabel

BOuterStyle	FontName	Multitask	Visible

BOuterWidth	FontOutlineColor	Name	Wand

CancelMode	FontShadowColor	Notify	WandColor

Caption1	FontSize	NotifyDelay	WandWidth

DataChanged2	FontStrikethru	Overlay	Width

DataField2	FontUnderline	TabIndex 	WordWrap

DataSource2	ForeColor	Tag

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Change	DragOver	LinkOpen	Notify

Click	LinkClose	MouseDown

DblClick	LinkError	MouseMove

DragDrop	LinkNotify	MouseUp

Methods

Drag	Move	Refresh	ZOrder


FXSHAPE Control
     FXShape Custom Control

Description

The FXTools Shape control is a graphical control that emulates the standard Visual Basic shape control.  In addition, this control provides the following features:

*	100 Main Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	3D Colored Borders for Rectangles and Squares

*	16 Shapes

*	Colored Drop Shadows

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	Multitasking

File Name

FXSHP200.VBX

Object Type

FXShape

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXShape control you should install the files FXSHP200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	BOuterStyle	Index	ShadowDropY

BackColor	BOuterWidth	Left	ShadowStyle

BackStyle	CancelMode	MDelay	Shape1

BInnerColor1	DEffect1	MEffect	Tag

BInnerColor2	DEffect2	MGrain	Top

BInnerStyle	DEffect3	Multitask	UpdateShape

BInnerWidth	DMode	Name	Visible

BorderColor	FillColor	Notify	Wand

BorderStyle	FillStyle	NotifyDelay	WandColor

BorderWidth	FXCanceled	Overlay	WandWidth

BOuterColor1	FXEnabled	ShadowColor	Width

BOuterColor2	Height	ShadowDropX

1 Value is the default value of the control.

Events

Click	DragDrop	MouseDown	MouseUp

DblClick	DragOver	MouseMove	Notify

Methods

Move	Refresh	ZOrder


FXRTEXT Control
     FXRtext Custom Control

Description

The FXTools Rotating Text control provides the following features:

*	100 Main Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	360 Degree Text Rotation for TrueType Fonts

*	Seven (7) 3D Font Styles

*	Colored Shadows

*	Multitasking

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	Bound Control

*	DDE Support

File Name

FXRTX200.VBX

Object Type

FXRtext

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXRtext control you should install the files FXRTX200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DragMode	FXCanceled	Notify

Angle	Enabled	FXEnabled	NotifyDelay

AutoSize	Font3D	Height	Overlay

BackColor	FontBlockSize	Index	Tag

BackStyle	FontBold	Left	TabIndex

CancelMode	FontDropX	LinkItem	Top

Caption1	FontDropY	LinkMode	UpdateText

DataChanged2	FontItalic	LinkTimeout	Visible

DataField2	FontName	LinkTopic	Wand

DataSource2	FontOutlineColor	MDelay	WandColor

DEffect1	FontShadowColor	MEffect	WandWidth

DEffect2	FontSize	MGrain	Width

DEffect3	FontStrikethru	MousePointer

DMode	FontUnderline	Multitask

DragIcon	ForeColor	Name

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Change	DragOver	LinkOpen	Notify

Click	LinkClose	MouseDown

DblClick	LinkError	MouseMove

DragDrop	LinkNotify	MouseUp

Methods

Drag	Move	Refresh	ZOrder


FXMTEXT Control
     FXMtext Custom Control

Description

The FXTools Moving Text control provides the following features:

*	Text Motion

*	Speed Control

*	Seven (7) 3D Font Styles

*	Colored Shadows

*	Bound Control

*	DDE Support

*	Delayed Effect Notification (DEN)

*	Multitasking

File Name

FXMTX200.VBX

Object Type

FXMtext

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXMtext control you should install the files FXMTX200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	FontBold	Grain	Notify

CancelMode	FontDropX	Height	NotifyDelay

Caption1	FontDropY	Index	StartPosition

DataChanged2	FontItalic	Left	StartVisible

DataField2	FontName	LinkItem	StopPosition

DataSource2	FontOutlineColor	LinkMode	StopVisible

Delay	FontShadowColor	LinkTimeout	Tag

DragIcon	FontSize	LinkTopic	Top

DragMode	FontStrikethru	MousePointer	UpdateText

Enabled	FontUnderline	Multitask	Visible

Font3D	ForeColor	Width

FontBlockSize	FXCanceled	Name

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Change	DragOver	LinkOpen	Notify

Click	LinkClose	MouseDown

DblClick	LinkError	MouseMove

DragDrop	LinkNotify	MouseUp

Methods

Drag	Move	Refresh	ZOrder


FXSND Control
       FXSnd Custom Control

Description

The FXTools Sound control provides the following features:

*	Manages the playback of wave audio  (.WAV) and MIDI sequencer (.MID) files

*	Auto Play and Repeat features for wave audio (.WAV) and MIDI Sequencer (.MID) files

*	Easy to use command interface

*	Volume control

*	Mixer Volume, Bass, Treble, Loudness and Stereo Enhance control for audio

cards that support Media Vision's MCI mixer command interface

*	Emulates QBASIC Play (music) statement

*	MCI string property can be used to control any device that supports MCI

*	Bound Control

For this control to work, MCI services must be present.   These services are provided in the Microsoft Windows operating system version 3.1 and the Microsoft Windows graphical environment version 3.0 with Multimedia Extensions version 1.0.

FileName

FXSND200.VBX

Object Type

FXSnd

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXSnd control you should install the files FXSND200.VBX and FXTLS200.DLL in the customer's Microsoft Windows \SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	From	MixerTreble	ResultMessage

AutoPlay	Index	MixerVolume	SetMidi

Command	Left	Mode	SetWave

DataChanged2	Length	Name	SoundType

DataField2	MCIString	Notify	StartPosition

DataSource2	MidiVolume	NotifyValue	Tag

Error	MixerBass	Play	To

ErrorMessage	MixerEnhance	Position	Top

FileName1	MixerLoudness	Repeat	WaveVolume

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Notify

Methods

None


FXVID Control
     FXVid Custom Control

Description

The FXTools Video control provides the following features:

*	Manages the playback of AVI and QuickTime movies

*	100 Main and transition effects on any video frame

*	90 Multipass Dissolve Effects on any video frame

*	8 Wand Effects

*	Auto Play, and Repeat features

*	Easy to use command interface

*	Volume control

*	Mixer Volume, Bass, Treble, Loudness and Stereo Enhance control for audio

cards that support Media Vision's MCI mixer command interface

*	MCI string property can be used to control any device that supports MCI

*	Bound Control

For this control to work, Microsoft® Video for WindowsÔ  or QuickTimeÔ for WindowsÔ

must be installed on your computer.

File Name

FXVID200.VBX

Object Type

FXVid

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXVid control you should install the files FXVID200.VBX and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications. Additionally, you may have to distribute MCI video drivers with your applications.  See the Microsoft Video for Windows documentation for information on distributing the Microsoft Video for Windows Runtime (explained in the VFW.WRI file that ships with Microsoft Video for Windows version 1.1). For information on obtaining QuickTime for Windows, contact APDA - Apple Computer, Inc. at (800) 282-2732 or (716) 871-6555.  For information on distributing applications using QuickTime for Windows, contact the Software Licensing Dept., Apple Computer, Inc. (408) 974-4667.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DEffect2	MDelay	TBackColor

AutoPlay	DEffect3	MEffect	TDelay

AutoSize	DMode	MGrain	TEffect

BackColor 	DragIcon	MixerBass	TEnabled

BInnerColor1	DragMode	MixerEnhance	TForeColor

BInnerColor2	Enabled	MixerLoudness	TGrain

BInnerStyle	Error	MixerTreble	TimeFormat

BInnerWidth	ErrorMessage	MixerVolume	To

BorderColor	FileName1	Mode	Top

BorderWidth	From	MousePointer	TStyle

BOuterColor1	FXCanceled	Name	VideoType

BOuterColor2	FXEnabled	Notify	Visible

BOuterStyle	FXHeight	NotifyValue	Wand

BOuterWidth	FXWidth	Position	WandColor

CancelMode	Height	Repeat	WandWidth

Command	HwndMovie	ResultMessage	WaveVolume

DataChanged2	Index	Silent	Width

DataField2	Left	Speed

DataSource2	Length	StartPosition

DEffect1	MCIString	Tag

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Click	DragDrop	MouseDown	MouseUp

DblClick	DragOver	MouseMove	Notify

Methods

Drag	Move	Refresh	  ZOrder


FXFIF Control
       FXFif Custom Control

Description

The FXTools FIF image control emulates the standard Visual Basic image control. In addition, this control lets you display Iterated Systems, Inc. Fractal Image File (.FIF) format images along with the following features:

* 100 Main and Transition Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	Image Color Transparency

*	Image Resize, Crop and Resolution Adjustment

*	Optimized and Fixed Palette Support

*	3D Colored Borders

*	Bound Control

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	Multitasking

File Name

FXFIF210.VBX

Object Type

FXFif

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXFif control you should install the files FXFIF200.VBX, DECO.DLL, and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.  DECO.DLL is the property of Iterated Systems, Inc.  Refer to the ImageFX License Agreement for details about distributing DECO.DLL.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DEffect3	FIFPaletteColors	Picture1

AutoSize	DMode	FIFRes	ShowHourglass

BInnerColor1	DragIcon	FIFResHeight	Tag

BInnerColor2	DragMode	FIFResWidth	TBackColor

BInnerStyle	Enabled	FileName	TDelay

BInnerWidth	FIFCrop	FXCanceled	TEffect

BorderColor	FIFCropHeight	FXEnabled	TEnabled

BorderWidth	FIFCropWidth	FXHeight	TForeColor

BOuterColor1	FIFCropX	FXWidth	TGrain

BOuterColor2	FIFCropY	Height	Top

BOuterStyle	FIFDDepth	Index	Transparent

BOuterWidth	FIFDHeight	Left	TransparentColor

CancelLoad	FIFDither	MDelay	TransparentMode

CancelMode	FIFDWidth	MEffect	TStyle

CancelRemove	FIFError	MGrain	UpdateImage

DataChanged2	FIFFormat	MousePointer	Visible

DataField2	FIFODepth	Multitask	Wand

DataSource2	FIFOHeight	Name	WandColor

DEffect1	FIFOWidth	Notify	WandWidth

DEffect2	FIFPalette	NotifyDelay	Width

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Click	DragDrop	MouseDown	MouseUp

DblClick	DragOver	MouseMove	Notify

Methods

Drag	Move	Refresh	ZOrder


FXCMP Control
     FXCmp Custom Control

Description

The FXTools FXCmp image control emulates the standard Visual Basic image control. In addition, this control allows you to display all 18 image file formats supported by LEAD Technologies, Inc. along with the following additional features:

*	100 Main Effects

*	90 Multipass Dissolve Effects

*	8 Wand Effects

*	Image Color Transparency

*	Image Resize, Flip, Reverse and Gray scale

*	Optimized and Fixed Palette Support

*	3D Colored Borders

*	Bound Control

*	Effect Cancellation

*	Delayed Effect Notification (DEN)

*	32-bit processing power

*	Multitasking

File Name

FXCMP210.VBX

Object Type

FXCmp

Remarks

This custom control is distributed as part of FXTools/VB Professional Edition

Distribution Note:  When you create and distribute applications that use the FXCmp control you should install the files FXCMP200.VBX, LEAD38.DLL, LEAD.DLL, LEADDIB.DRV, and FXTLS200.DLL in the customer's Microsoft Windows SYSTEM subdirectory.  The Visual Basic Setup Kit provides tools to help you write setup programs that install your applications.  LEAD38.DLL, LEAD.DLL and LEADDIB.DRV are the property of and is copyright (c) 1994 by LEAD Technologies, Inc.  ALL RIGHTS RESERVED.  Refer to the ImageFX License Agreement for details on distributing the LEAD38.DLL, LEAD.DLL and LEADDIB.DRV files.

All of the properties, events, and methods for this control are listed below.  Properties and events that apply only to this control, or require special consideration when used with it, are underlined.  They are documented in this help file.  See the Visual Basic Language Reference or on-line help for documentation of the remaining properties, events, and methods.

Properties

About	DEffect3	MDelay	TDelay

AutoSize	DMode	MEffect	TEffect

BInnerColor1	DragIcon	MGrain	TEnabled

BInnerColor2	DragMode	MousePointer	TForeColor

BInnerStyle	Enabled	Multitask	TGrain

BInnerWidth	FileName	Name	Top

BorderColor	FXCanceled	Notify	Transparent

BorderWidth	FXEnabled	NotifyDelay	TransparentColor

BOuterColor1	FXError	Palette	TransparentMode

BOuterColor2	FXHeight	Picture1	TStyle

BOuterStyle	FXWidth	ShowBGR	UpdateImage

BOuterWidth	Height	ShowDithered	UserRes

CancelLoad	GDIRes	ShowFlipped	Visible

CancelMode	IBPP	ShowGrayScale	Wand

CancelRemove	IFilesize	ShowHourglass	WandColor

DataChanged2	IFormat	ShowPCD	WandWidth

DataField2	IHeight	ShowReverse	Width

DataSource2	Index	SystemRes

DEffect1	IWidth	Tag

DEffect2	Left	TBackColor

1 Value is the default value of the control.

2 Visual Basic 3.0 and later only.

Events

Click	DragDrop	MouseDown	MouseUp

DblClick	DragOver	MouseMove	Notify

Methods

Drag	Move	Refresh	ZOrder


About Property

Applies To

FXImage, FXLabel, FXShape, FXRtext, FXMtext, FXVid, FXSnd, FXFif, FXCmp

Description

Displays a dialog box that contains the FXTools/VB version and copyright information.  Click the ellipse (...) in the upper right corner of the properties window to view the dialog box.  Click the OK button to exit the dialog box.

Remarks

This property is only available at design time.


About Property

Applies To

FXImage, FXLabel, FXShape, FXRtext, FXMtext, FXVid, FXSnd, FXFif, FXCmp

Description

Displays a dialog box that contains the FXTools/VB version and copyright information.  Click the ellipse (...) in the upper right corner of the properties window to view the dialog box.  Click the OK button to exit the dialog box.

Remarks

This property is only available at design time.


Alignment Property

Applies To

FXLabel

Description

Sets or returns the alignment of text in the label.

Usage

[form.]FXControl.Alignment[ = setting%]

Remarks

The following table lists the Alignment property settings:

Setting	Description

0	(Default) Caption appears left-justified at the top of the label.

1	Caption appears left-justified in the middle of the label.

2	Caption appears left-justified at the bottom of the label.

3	Caption appears right-justified at the top of the label.

4	Caption appears right-justified in the middle of the label.

5	Caption appears right-justified at the bottom of the label.

6	Caption appears centered at the top of the label.

7	Caption appears centered in the middle of the label.

8	Caption appears centered at the bottom of the label.

Data Type

Integer (Enumerated)


Angle Property

Applies To

FXRtext

Description

Sets or returns the text rotation angle.

Usage

[form.]FXControl.Angle[ = angle%]

Remarks

The Angle property can be set to a value between 0 and 360, inclusive.

NOTE:	You can only rotate TrueType fonts.   All other fonts will

not respond to the Angle property.

Data Type

Integer


AutoPlay Property

Applies To

FXSnd, FXVid

Description

Sets or returns the automatic play flag.

Usage

[form.]FXControl.AutoPlay[ = {True | False}]

Remarks

When the AutoPlay property is True, the sound or video file will automatically play whenever the FileName property is set.

Data Type

Integer  (Boolean)


AutoSize Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXRtext

Description

Determines whether:

*  The image or video is cropped to the control.

*  The control is resized to fit the image, text or video.

*  The image or video is resized to fit the control.

*  The image is tiled to fit the control.

Usage

[form.]FXControl.AutoSize[ = setting%]

[form.]FXControl.AutoSize[={True | False}]

Remarks

The AutoSize property settings are as follows:

FXImage, FXCmp, FXFif, FXVid:

Setting	Description

0	The image or video is cropped to the control size.  Note, if the control size

is larger than the image or video, the control will be resized to the image or video.

1	(Default) The control is resized to fit the image or video.

2	The image or video is resized to fit the control.

3	The image is tiled to fit the control.  (Not applicable for FXVid)

FXLabel, FXRtext:

Setting	Description

True	This setting adjusts the width and height of the label to fit the

caption.  With this setting, the caption is displayed as a single

line unless the caption contains carriage return or linefeed

characters.  The WordWrap property has no effect with this

setting.

False	(Default) No automatic sizing takes place.

Data Type

FXImage, FXCmp, FXFif:  Integer (Enumerated)

FXLabel, FXRtext:  Integer (Boolean)


BInnerColor1 Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the inner bevel color.

Usage

[form.]FXControl.BInnerColor1[ = color&]

Remarks

The BInnerColor1 property sets the color of the inner bevel as follows:

Bevel Style	Description

Inset	Sets the color of the top and left sides of the inner bevel.

Raised	Sets the color of the bottom and right sides of the inner bevel.

Use this property in conjunction with the BInnerColor2, BInnerStyle and BInnerWidth properties.

Data Type

Long


BInnerColor2 Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the inner bevel color.

Usage

[form.]FXControl.BInnerColor2[ = color&]

Remarks

The BInnerColor2 property sets the color of the inner bevel as follows:

Bevel Style	Description

Inset	Sets the color of the bottom and right sides of the inner bevel.

Raised	Sets the color of the top and left sides of the inner bevel.

Use this property in conjunction with the BInnerColor1, BInnerStyle and BInnerWidth properties.

Data Type

Long


BInnerStyle Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the style of the inner bevel.

Usage

[form.]FXControl.BInnerStyle[ = setting%]

Remarks

The following table lists the BInnerStyle property settings:

Setting	Description

0	None (Default)

1	Inset - Uses BInnerColor1 for the top and left sides of the bevel

and BInnerColor2 for the bottom and right sides of the bevel.

2	Raised - Uses BInnerColor2 for the top and left sides of the bevel

and BInnerColor1 for the bottom and right sides of the bevel.

Use this property in conjunction with the BInnerColor1, BInnerColor2 and BInnerWidth properties.

Data Type

Integer (Enumerated)


BInnerWidth Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the inner bevel width.

Usage

[form.]FXControl.BInnerWidth[ = width%]

Remarks

The inner bevel width can be set to a value between 1 and 30, inclusive.

Use this property in conjunction with the BInnerColor1, BInnerColor2 and BInnerStyle properties.

Data Type

Integer


BorderColor Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the border color.  The border is the distance between the outer and inner bevels.

Usage

[form.]FXControl.BorderColor[ = color&]

Remarks

Use this property in conjunction with the BorderWidth property.

Data Type

Long


BorderWidth Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the width of the border, which is the distance between the outer and inner bevels.

Usage

[form.]FXControl.BorderWidth[ = width%]

Remarks

The border width can be set to a value between 0 and 30, inclusive.

Use this property in conjunction with the BorderColor property.

Data Type

Integer


BOuterColor1 Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the outer bevel color.

Usage

[form.]FXControl.BOuterColor1[ = color&]

Remarks

The BOuterColor1 property sets the color of the outer bevel as follows:

Bevel Style	Description

Inset	Sets the color of the top and left sides of the outer bevel.

Raised	Sets the color of the bottom and right sides of the outer bevel.

Use this property in conjunction with the BOuterColor2, BOuterStyle and BOuterWidth properties.

Data Type

Long


BOuterColor2 Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the outer bevel color.

Usage

[form.]FXControl.BOuterColor2[ = color&]

Remarks

The BOuterColor2 property sets the color of the outer bevel as follows:

Bevel Style	Description

Inset	Sets the color of the bottom and right sides of the outer bevel.

Raised	Sets the color of the top and left sides of the outer bevel.

Use this property in conjunction with the BOuterColor1, BOuterStyle and BOuterWidth properties.

Data Type

Long


BOuterStyle Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the style of the outer bevel.

Usage

[form.]FXControl.BOuterStyle[ = setting%]

Remarks

The following table lists the BOuterStyle property settings:

Setting	Description

0	None (Default)

1	Inset - Uses BOuterColor1 for the top and left sides of the bevel

and BOuterColor2 for the bottom and right sides of the bevel.

2	Raised - Uses BOuterColor2 for the top and left sides of the bevel

and BOuterColor1 for the bottom and right sides of the bevel.

Use this property in conjunction with the BOuterColor1, BOuterColor2 and BOuterWidth properties.

Data Type

Integer (Enumerated)


BOuterWidth Property

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXShape (rectangles and squares only)

Description

Sets or returns the outer bevel width.

Usage

[form.]FXControl.BOuterWidth[ = width%]

Remarks

The outer bevel width can be set to a value between 1 and 30, inclusive.

Use this property in conjunction with the BOuterColor1, BOuterColor2 and BOuterStyle properties.

Data Type

Integer


CancelLoad Property

Applies To

FXCmp, FXFif

Description

Sets or returns the cancel load flag.

Usage

[form.]FXControl.CancelLoad[ = {True | False}]

Remarks

When the CancelLoad property is True, the event defined by the CancelMode property will cancel the decompression of .FIF, .CMP and .JPG images.  If a .FIF decompression is canceled, the FIFError property will be set to -2.  If a .CMP or .JPG decompression is canceled, the FXError property will be set to -302.

Data Type

Integer  (Boolean)


CancelMode Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXShape

Description

Defines an event that cancels all in process and pending effects.  Once an effect is canceled, the entire control is immediately painted.  For the FXFif and FXCmp controls, the CancelMode property also defines an event that cancels the decompression of .FIF, .CMP and JPEG images.

Usage

[form.] FXControl.CancelMode[ = setting%]

Remarks

The following table lists the CancelMode property settings.

Setting	Description

0	(Default) None.

1	ESC Key

2	Enter Key

3	Space Key

4	Key Press

5	Mouse Left

6	Mouse Right

7	Mouse Move

8	Key Press or Mouse Button

9	Key Press or Mouse Move

Data Type

Integer (Enumerated)


CancelRemove Property

Applies To

FXCmp, FXFif

Description

Sets or returns the cancel remove flag.

Usage

[form.]FXControl.CancelRemove[ = {True | False}]

Remarks

When the CancelRemove property is False, the event message defined by the CancelMode property will not be removed from the message queue when a decompression is canceled.  For example, if the CancelLoad property is True and the CancelMode property is 1-Esc, pressing the Esc key during a decompression will cause the decompression process to stop.  If the CancelRemove property is False, the Esc key message will also be sent to the application.  If the CancelRemove property is True, the Esc key message will be removed from the message queue and it will not be sent to the application.

Data Type

Integer  (Boolean)


Command Property

Applies To

FXSnd, FXVid

Description

Initiates a command or returns the current command setting.

Usage

[form.] FXControl.Command[ = setting%]

Remarks

The following table lists the Command property settings.

Setting	Description

0	(Default) None.

1	Close - Closes the sound or video device.

2	Cue - Prepares the sound or video device for playing.  You do not have to issue the Cue

command prior to playing.  The Cue command will fail if the device is currently playing.

For the FXSnd control, this command has no effect if the SoundType is MIDI Sequencer.

3	Open - Opens the sound or video device.  The FileName property must be set to a valid

sound or video file before issuing this command.

4	Open & Cue - Opens the sound or video device and prepares it for playing.

The FileName property must be set to a valid sound or video file before issuing this

command

5	Open & Play - Opens the sound or video device and automatically plays the sound or

video file set by the FileName property.

6	Pause - Pauses playing.

7	Play - Plays the sound or video device.

8	Play From Start - Plays sound or video from the starting position.

9	Reset Mixer - Resets the sound mixer to the startup settings as specified in WIN.INI.  The

MixerVolume, MixerBass and MixerTreble properties are also updated to these settings.

See Appendix B for information about MCI mixer support.

10	Resume - Continues playing sound or video.

11	Stop - Stops playing sound or video.

12	Seek To End - Seeks to the end of the sound or video.

13	Seek To Start - Seeks to the start of the sound or video.

14	Seek To- Seeks to a specified position. The position is specified using the To property.

15	Play From/To - Plays from a specified position to another specified position.  The

positions are specified using the From and To properties.

16	Play From - Plays from a specified position.  The position is specified using the From

property.

17	Play To - Plays to a specified position.  The position is specified using the To property.

Data Type

Integer (Enumerated)

Special Notes for FXVid

If FXEnabled is set to True, then the first frame of a video segment will display with a main or dissolve effect when a Play, Play From, Play To, Play From/To, Play From Start or Open & Play command is issued.  If the TEnabled property is set True, a transition effect will occur when the video completes or when a  Stop command is issued.  The following properties are used to set special effects:

Main Effect - MEffect, MDelay, MGrain

Dissolve Effect - DMode, DEffect1, DEffect2, Deffect3, Mdelay, and MGrain

Transition Effect -  TEnabled, TBackColor, TForeColor, TDelay, TGrain, TStyle


DataField Property

Applies To

FXImage - Binds the Picture property to a field

FXLabel - Binds the Caption property to a field

FXRtext - Binds the Caption property to a field

FXFif - Binds the Picture property to a field

FXCmp - Binds the Picture property to a field

FXSnd - Binds the FileName property to a field

FXVid - Binds the FileName property to a field

Remarks

Not available for Visual Basic 2.0.  See "Visual Basic Programmer's

Guide" Chapter 20 for more information on bound controls.


DataSource Property

DataChanged Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXSnd

Remarks

Not available for Visual Basic 2.0.  See "Visual Basic Programmer's

Guide" Chapter 20 for more information on bound controls.


DEffect1 Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXShape

Description

Sets or returns the effect for the first pass of a dissolve.

Usage

[form.]FXControl.DEffect1[ = setting%]

Remarks

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.  Refer to Appendix A for more information.

Use this property in conjunction with the DEffect2, DEffect3, DMode, MDelay and MGrain properties.

Data Type

Integer (Enumerated)


DEffect2 Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXShape

Description

Sets or returns the effect for the second pass of a dissolve.

Usage

[form.]FXControl.DEffect2[ = setting%]

Remarks

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.  Refer to Appendix A for more information.

Use this property in conjunction with the DEffect1, DEffect3, DMode, MDelay and MGrain properties.

Data Type

Integer (Enumerated)


DEffect3 Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXShape

Description

Sets or returns the effect for the third pass of a dissolve.

Usage

[form.]FXControl.DEffect3[ = setting%]

Remarks

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.  Refer to Appendix A for more information.

Use this property in conjunction with the DEffect1, DEffect2, DMode, MDelay and MGrain properties.

Data Type

Integer (Enumerated)


Delay Property

Applies To

FXMtext

Description

Sets or returns the text motion delay.

Usage

[form.]FXControl.Delay[ = delay%]

Remarks

The Delay property sets the time delay, in milliseconds between successive grains.  The delay occurs between each grain so the combination of text size, 3D style, grain size, and time delay effect the overall speed.  You may specify a delay from 0 to 255.

Use this property in conjunction with the Grain property.

Data Type

Integer


DMode Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXVid, FXShape

Description

Sets or returns the image dissolve mode.  A dissolve effect will occur in place of a main effect (set by the MEffect property) if the Dmode property is not equal to 0.  The speed of the dissolve can be adjusted using the MDelay and MGrain properties.

Usage

[form.]FXControl.DMode[ = setting%]

Remarks

The DMode property settings are:

Setting	Description

0	(Default) None.

1	Single Pass.  Only half of the image pixels are displayed.

This produces the illusion of a faded image.  The effect used for

the dissolve is determined by the DEffect1 property.

2	Double Pass.  Half of the image pixels are displayed

during the first pass and the remaining pixels are displayed during

the second pass.  The effect used for the first pass is determined by

the DEffect1 property.  The effect used for the second pass

is determined by the DEffect2 property.

3	Triple Pass.  One third of the image pixels are displayed

during the first pass, two thirds during the second pass and the

remaining pixels are displayed during the third pass.  The effect

used for the first pass is determined by the DEffect1

property.  The effect used for the second pass is determined by the

DEffect2 property and the effect used for the third pass is

determined by the DEffect3 property.

Use this property in conjunction with the DEffect1, DEffect2, DEffect3, MDelay and MGrain properties.

Data Type

Integer (Enumerated)


Err Property

Applies To

FXImage

Description

Specifies the error code returned in response to setting the FileName property.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.Err

Remarks

In response to setting the FileName property, FXImage sets the Err property to one of the

following values:

Setting	Description

0	No error

-1	Cannot find the image file

-2	The image file type is unknown or unable to read the image file type

-3	Cannot lock memory

-4	Cannot dither the image

-5	Cannot quantize the image palette

-6	Error reading the file

-7	Cannot allocate memory for the image

Data Type

Integer


Error Property

Applies To

FXSnd, FXVid

Description

Specifies the error code returned from the last MCI command.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.Error

Remarks

If the last MCI command did not cause an error, this value is 0.

Data Type

Integer


ErrorMessage Property

Applies To

FXSnd, FXVid

Description

Describes the error code stored in the Error property.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.ErrorMessage

Data Type

String


FIFCrop Property

Applies To

FXFif

Description

Sets or returns the crop flag for FIF images.

Usage

[form.]FXControl.FIFCrop[ = {True | False}]

Remarks

When the FIFCrop property is False, the entire image is decompressed.  When the FIFCrop property is True, the FIFCropX, FIFCropY, FIFCropWidth and FIFCropHeight property values specify the area within the image which is decompressed.  This property only applies to FIF images.

Data Type

Integer (Boolean)


FIFCropHeight Property

Applies To

FXFif

Description

Sets or returns the height, in pixels, of the crop rectangle for FIF images.

Usage

[form.]FXControl.FIFCropHeight[ = height%]

Remarks

The FIFCropHeight property can be set to a value between 2 and 32768, inclusive.

Use this property in conjunction with the FIFCrop, FIFCropX, FIFCropY and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

Data Type

Integer


FIFCropWidth Property

Applies To

FXFif

Description

Sets or returns the width, in pixels, of the crop rectangle for FIF images.

Usage

[form.]FXControl.FIFCropWidth[ = width%]

Remarks

The FIFCropWidth property can be set to a value between 2 and 32768, inclusive.

Use this property in conjunction with the FIFCrop, FIFCropX, FIFCropY and FIFCropHeight properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

Data Type

Integer


FIFCropX Property

Applies To

FXFif

Description

Sets or returns the horizontal starting position, in pixels, of the crop rectangle for FIF images.

Usage

[form.]FXControl.FIFCropX[ = setting%]

Remarks

The FIFCropX property can be set to a value between 0 and 32768, inclusive.

Use this property in conjunction with the FIFCrop,  FIFCropY, FIFCropHeight and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

Data Type

Integer


FIFCropY Property

Applies To

FXFif

Description

Sets or returns the vertical starting position, in pixels, of the crop rectangle for FIF images.

Usage

[form.]FXControl.FIFCropY[ = setting%]

Remarks

The FIFCropY property can be set to a value between 0 and 32768, inclusive.

Use this property in conjunction with the FIFCrop,  FIFCropX, FIFCropHeight and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

Data Type

Integer


FIFDDepth Property

Applies To

FXFif

Description

Returns the color depth of the decompressed FIF image.  The depth of an image is the number of bits required to store the color or grayscale value for one pixel.  This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFDDepth

Data Type

Integer


FIFDHeight Property

Applies To

FXFif

Description

Returns the height, in pixels, of the decompressed FIF image.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFDHeight

Data Type

Integer


FIFDither Property

Applies To

FXFif

Description

Sets or returns the dither flag for FIF images.

Usage

[form.]FXControl.FIFDither[ = {True | False}]

Remarks

The FIFDither property determines whether the image is dithered or not.  It is set True by default.  Dithering is a method by which pixels of different colors are placed next to each other to produce what is perceived to be a different color.  It fools the eye into believing that more colors are being displayed than is really the case.  Generally dithering will reduce unwanted contouring in areas of plain color (such as faces) and will improve the overall appearance of colormapped output.  This property only applies to FIF images.

Data Type

Integer (Boolean)


FIFDWidth Property

Applies To

FXFif

Description

Returns the width, in pixels, of the decompressed FIF image.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFDWidth

Data Type

Integer


FIFError Property

Applies To

FXFif

Description

Returns the last FIF decompression error.

Usage

[form.]FXControl.FIFError

Remarks

After the FIFError property is read, its value is set to 0.

In response to setting the FileName property, FXFif returns the following values in the FIFError Property:

Setting 	Description

0	No error

110	The decompressor is not initialized

111	The decompressor is busy and cannot be initialized

120	The input is an unknown or unsupported file format

130	There is an error in one or more dimensions of the crop rectangle

151	There is an error in the resolution scale values

152	There is an error in the resolution width

153 	There is an error in the resolution height

155	The image area is too large for double scale output

195	The FTT file is in an unknown or unsupported format

196	The FTT filename is too short or too long

197	An FTT file is needed but has not been provided

198	Wrong FTT file provided for FIF file.

-2	User canceled decompression

-10	Error opening file

-11	Error closing file

-12	Error reading from file

-14	Error seeking in file

-15	Invalid file handle

-16	File too large or too small

-17	File in unknown format

-18	File in known but unsupported format

Data Type

Integer


FIFFormat Property

Applies To

FXFif

Description

Sets or returns the decompressed color format.

Usage

[form.]FXControl.FIFFormat[ = setting%]

Remarks

The FIF file will be decompressed to the format defined by the FIFFormat property unless the FIFFormat property is set to a format that the display cannot handle.  For example, if you can only display 256 colors, the FIF file will be decompressed to 256 colors even if the FIFFormat property is set to "True Color".

The FIFFormat property settings are:

Setting	Description

0	256 Colors (8-bit) (Default)

1	32768 Colors (15-bit)

2	True Color (24-bit)

Data Type

Integer (Enumerated)


FIFODepth Property

Applies To

FXFif

Description

Returns the color depth of the original image before it was compressed to the FIF format.  The depth of an image is the number of bits required to store the color or grayscale value for one pixel.  This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFODepth

Data Type

Integer


FIFOHeight Property

Applies To

FXFif

Description

Returns the height, in pixels, of the original image before it was compressed to the FIF format.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFOHeight

Data Type

Integer


FIFOWidth Property

Applies To

FXFif

Description

Returns the width, in pixels, of the original image before it was compressed to the FIF format

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FIFOWidth

Data Type

Integer


FIFPalette Property

Applies To

FXFif

Description

Sets or returns the FIF image palette type for 256 color (8-bit) images.

Usage

[form.]FXControl.FIFPalette[ = setting%]

Remarks

The FIFPalette property settings are:

Setting	Description

0	(Default) Optimized - The decompressor will generate an

optimized palette for the image.  The number of colors in the

palette is determined by the FIFPaletteColors property.

1	Fixed - The decompressor uses an internal 256 color fixed palette.

Data Type

Integer (Enumerated)


FIFPaletteColors Property

Applies To

FXFif

Description

Sets or returns the number of palette colors in the FIF image.  The decompressor uses this number when it generates an optimized palette for the image.  The default value is 256 colors.

Usage

[form.]FXControl.FIFPaletteColors[ = setting%]

Remarks

The FIFPaletteColors property can be set to a value between 1 and 256, inclusive.

Data Type

Integer


FIFRes Property

Applies To

FXFif

Description

Sets or returns the resolution style for FIF images.

Usage

[form.]FXControl.FIFRes[ = setting%]

Remarks

The FIFRes property settings are:

Setting	Description

0	(Default) Full Scale - The resolution of the decompressed image

will be the original resolution of the image.

1	Half Scale - The resolution of the decompressed image will be

half the original resolution of the image.

2	Double Scale - The resolution of the decompressed image will be

twice the original resolution of the image.  This style is limited

to images whose original size is less than or equal to 64,000

pixels.  An error will occur if the original image size is greater

than 64,000 pixels.  The FIFError property can be used to

determine the error code.

3	Set Scale - The resolution of the decompressed image is set

by the FIFResWidth and FIFResHeight properties.

Data Type

Integer (Enumerated)


FIFResHeight Property

Applies To

FXFif

Description

Sets or returns the resolution height of the FIF image.

Usage

[form.]FXControl.FIFResHeight[ = height%]

Remarks

If the FIFRes property is set to 3 - Set Scale, the decompressor will use the FIFResHeight property value to determine the height of the decompressed image.  The FIFResHeight property can be set to a value between 2 and 32768, inclusive.  An error will occur if the decompressor cannot decompress the image to the height specified.  Use the FIFError property to determine the error code.

Data Type

Integer


FIFResWidth Property

Applies To

FXFif

Description

Sets or returns the resolution width of the FIF image.

Usage

[form.]FXControl.FIFResWidth[ = width%]

Remarks

If the FIFRes property is set to 3 -Set Scale, the decompressor will use the FIFResWidth property value to determine the width of the decompressed image.  The FIFResWidth property can be set to a value between 2 and 32768, inclusive.  An error will occur if the decompressor cannot decompress the image to the width specified.  Use the FIFError property to determine the error code.

Data Type

Integer


FileName Property

Applies To

FXImage, FXCmp, FXFif, FXSnd, FXVid

Description

FXSnd, FXVid:

Specifies the file to be opened by an Open, Open & Cue or Open & Play command.

This file is also automatically opened and played if the AutoPlay property is set.

FXImage, FXCmp, FXFif:

Specifies the image file to be displayed.

Usage

[form.]FXControl.FileName[ = stringexpression$]

Remarks

General:

The argument stringexpression$ specifies the file to be displayed. In design mode, the

FileName property displays an ellipse (...) in the upper right corner of the properties window

that can be used to display a file open dialog box.  Click the ellipse or double-click the

FileName property to display the file open dialog box.

FXVid:

If the VideoType property is set to AVI Video, the FileName property must be set to a valid AVI file.  If the VideoType property is set to QuickTime, the FileName property must be set to a valid QuickTime file.  See also the VideoType Property.

FXSnd:

If the SoundType property is set to Wave Audio, the FileName property must be set to a valid WAV file.  If the SoundType property is set to MIDI Sequencer, the FileName property must be set to a valid MID file.  See also the SoundType Property.

FXImage, FXCmp, FXFif:

If the current image was loaded using the FileName property, you can set the Filename

property to NULL ("") to clear the image from the display.  At runtime ,if the current image was loaded

using the LoadPicture function (BMP and DIB file format only), setting the Filename property to

NULL will not clear the current image.

See also Appendix C File Support for FXImage.

See also Appendix D File Support for FXCmp.

See also Appendix E File Support for FXFif..

Data Type

String


Font3D Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the three-dimensional style of the caption.

Usage

[form.]FXControl.Font3D[ = setting%]

Remarks

The following table lists the Font3D property settings.

Setting	Description

0	None (Default) - Caption is displayed flat.

1	Raised with Light Shading - Caption appears raised off the screen.

2	Raised with Heavy Shading - Caption appears more raised.

3	Inset with Light Shading - Caption appears inset on the screen.

4	Inset with Heavy Shading - Caption appears more inset.

5	Drop Shadow - Caption has a single drop shadow.  The shadow

color is set by the FontShadowColor property and the position of

the shadow is set by the FontDropX and FontDropY properties.

6	Block Shadow - Caption has a solid block shadow.  The shadow

color is set by the FontShadowColor property and the depth of

the shadow is set by the FontBlockSize property.

7	Outline Block - Caption has a single pixel outline with a solid

block shadow.  The outline color is set by the FontOutlineColor

property and the shadow color is set by the FontShadowColor

property and the depth of the shadow is set by the FontBlockSize

property.

Use this property in conjunction with the FontBlockSize, FontDropX, FontDropY, FontOutlineColor and FontShadowColor properties.

Data Type

Integer (Enumerated)


FontBlockSize Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the size of the block shadow.

Usage

[form.]FXControl.FontBlockSize[ = size%]

Remarks

The FontBlockSize property can be set to a value between -10 and 10, inclusive.  Positive values produce a shadow below the caption while negative values produce a shadow above the caption.

Use this property in conjunction with the Font3D property.

Data Type

Integer


FontDropX Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the horizontal offset for the drop shadow.

Usage

[form.]FXControl.FontDropX[ = offset%]

Remarks

The FontDropX property can be set to a value between -10 and 10, inclusive.  Positive values shift the drop shadow right of the caption while negative values shift the drop shadow left of the caption.

Use this property in conjunction with the Font3D property.

Data Type

Integer


FontDropY Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the vertical offset for the drop shadow.

Usage

[form.]FXControl.FontDropY[ = offset%]

Remarks

The FontDropY property can be set to a value between -10 and 10, inclusive.  Positive values shift the drop shadow down from the caption while negative values shift the drop shadow up from the caption.

Use this property in conjunction with the Font3D property.

Data Type

Integer


FontOutlineColor Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the color of the font outline for the Outline Block style.

Usage

[form.]FXControl.FontOutlineColor[ = color&]

Remarks

Use this property in conjunction with the Font3D, FontBlockSize and FontShadowColor  properties.

Data Type

Long


FontShadowColor Property

Applies To

FXLabel, FXRtext, FXMtext

Description

Sets or returns the color of the drop or block shadows.

Usage

[form.]FXControl.FontShadowColor[ = color&]

Remarks

Use this property in conjunction with the Font3D and FontBlockSize properties.

Data Type

Long


From Property

Applies To

FXSnd, FXVid

Description

Specifies the starting point, using the current time format, for the Play From and Play From/To commands.

Usage

[form.]FXControl.From[ = location&]

Remarks

The argument location& specifies the starting point for the play operation. The current time

format is given by the TimeFormat property.

Data Type

Long


FXCanceled Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape, FXVid

Description

Sets or returns the effect canceled flag.  This property is not available at design time.

Usage

[form.]FXControl.FXCanceled[ = {True | False}]

Remarks

If the CancelMode property is not equal to 0 and an effect is canceled, FXCanceled will always return True, otherwise it returns the last value it was set to.  The FXCanceled property is always set to False before the control is displayed or updated. Use the FXCanceled property in the Notify event procedure to determine if an effect was canceled.  Note:  The FXCanceled property is only valid after an effect has completed.

Use this property in conjunction with the CancelMode property.

Data Type

Integer (Boolean)


FXEnabled Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape, FXVid

Description

If set to True, the FXTools effects generator is enabled and the control will paint according to the

current property settings.  Also, a Notify event will occur if the Notify property is True.

If set to False, the FXTools effects generator and event notification is disabled.  The control will

immediately paint and a Notify event will not occur even if the Notify property is True.

Usage

[form.]FXControl.FXEnabled[ = {True | False}]

Remarks

The following table lists the FXEnabled property settings.

Setting	Description

True      	(Default) The FXTools effects generator and event notification is enabled.

    	False     	The FXTools effects generator and event notification is disabled.

Data Type

Integer (Boolean)


FXError Property

Applies To

FXCmp

Description

Returns the last image load error.  After the FXError property is read, its value is set to 0.  This property is not available at design time and is read-only at run time.  In response to setting the FileName property, FXCmp sets the FXError property to one of the following values:

Setting	Description

0	No error

-1	Not enough memory available

-2	Invalid bitmap handle

-3	Not enough memory available

-4	Error seeking to position

-6	File not present - abort

-7	Error reading file

-8	Invalid filename specified

-9	Invalid file format

-10	File not found

-11	Invalid width/height

-12	Image format recognized, but sub-type not supported

-13	Invalid parmameter passed

 	-14	Not able to open file

-15	Unknown compression format

-16	Not available for the file format requested

-17	VGA card only supports 256 colors (8-bit)

-21	Invalid QFactor specified

-22	TARGA not installed

-23	Invalid compression format

-24	X origin specified invalid

-25	Y origin specified invalid

-26	Invalid video mode

-27	Invalid bits/pixel

-28	Invalid window size

Usage

[form.]FXControl.FXError

Data Type

Integer


FXHeight Property

Applies To

FXImage, FXCmp, FXFif, FXVid

Description

Returns the height of the control, including any border or bevels, in twips.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FXHeight

Data Type

Long


FXWidth Property

Applies To

FXImage, FXCmp, FXFif, FXVid

Description

Returns the width of the control, including any border or bevels, in twips.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.FXWidth

Data Type

Long


GDIRes Property

Applies To

FXCmp

Description

Returns the percentage of free space for GDI resources from 0 to 100. GDI resources include device-

context handles, brushes, pens, regions, fonts, and bitmaps.  If this value falls below 40%, the FXCmp control may operate unpredictably or it may fail to decompress CMP or JPEG images.  This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.GDIRes

Data Type

Integer


Grain Property

Applies To

FXMtext

Description

Sets or returns the grain size for the moving text.

Usage

[form.]FXControl.Grain[ = grain%]

Remarks

The grain is the smallest increment used when moving text.  A small value (like 1) produces smooth movement, but it takes longer to perform.  A value of 10 executes faster, but it is very coarse.  You may specify a grain from 1 to 256.  Note that the size of the caption, the grain size, 3D style, and the delay will affect how fast the text moves.

Use this property in conjunction with the Delay property.

Data Type

Integer


HwndMovie Property

Applies To

FXVid

Description

Specifies the handle of the window that the movie is playing in.  Not available at design time; read-only at run time.

Usage

[form.]FXControl.HwndMovie

Remarks

The window handle is only valid when a movie file is open.

Data Type

Integer


IBPP Property

Applies To

FXCmp

Description

Returns the bits per pixel of the image.

This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.IBPP

Remarks

The IBPP property will return one of the following values:.

Value	Description

1	Black and white image.

4	16 color image.

8	256 color image.

16	65535 color image.

24	True color image

32	True color + alpha channel image

Data Type

Integer


IFilesize Property

Applies To

FXCmp

Description

Returns the file size, in bytes, of the image.  This property is read-only at runtime and is not available at design time.  The IFilesize property is only valid if the current image was loaded using the FileName property.

Usage

[form.]FXControl.IFilesize

Data Type

Long


IFormat Property

Applies To

FXCmp

Description

Returns the image format.  This property is read-only at runtime and is not available at design time.  The IFormat property is only valid if the current image was loaded using the FileName property.

Usage

[form.]FXControl.IFormat

Remarks

The IFormat property will return one of the following values:

Setting	Description

1	ZSoft (PCX)

2	CompuServe (GIF)

3	Tagged Image File Format (TIFF)

4	Targa (TGA)

5	LEAD (CMP)

6	Windows (BMP)

10	JPEG File Interchange Format

11	JPEG Tag Image File Format

14	OS/2 (BMP)

15	Windows Meta File (WMF)

16	Encapsulated PostScript (EPS)

50	CALS Raster (CAL)

51	MacPaint

52	GEM Image

53	Microsoft Paint

54	Word Perfect

55	SUN Raster

56	Macintosh Picture

57	Kodak Photo CD

63	Encapsulated Postscript with embedded TIFF

Data Type

Integer


IHeight Property

Applies To

FXCmp

Description

Returns the height of the image, in pixels.

This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.IHeight

Data Type

Integer


IWidth Property

Applies To

FXCmp

Description

Returns the width of the image, in pixels.

This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.IWidth

Data Type

Integer


Length Property

Applies To

FXVid, FXSnd

Description

Specifies, in the current time format, the length of the media in an open sound or video device.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.Length

Data Type

Long


MCIString Property

Applies To

FXVid, FXSnd

Description

Sends an MCI command string.  This property is not available at design time and is write-only at run time.

Usage

[form.]FXControl.MCIString = stringexpression$

Remarks

The MCIString property can be used to send any MCI string command.  If a device was opened using the Command property, the alias name used in the MCI string command must be the name of the control.  For example, if you want to determine the position of the current device media you would set the MCIString property as follows:

FXControl .MCISTRING = STATUS FXControl  POSITION

The ResultMessage property contains the result of the MCI command.  If the MCI string command causes an error, the Error and ErrorMessage properties contain the error information.

Data Type

String


MDelay Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape, FXVid

Description

Sets or returns the delay for the main or dissolve effect.

Usage

[form.]FXControl.MDelay[ = delay%]

Remarks

The MDelay property sets the time delay, in milliseconds,  for future effects.  The delay occurs between each effect grain so the combination of image size, grain size, and time delay affect the overall speed.  You may specify a delay from 0 to 255.

Use this property in conjunction with the MGrain property.

Data Type

Integer


MEffect Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape, FXVid

Description

Sets or returns the main effect.

Usage

[form.]FXControl.MEffect[ = setting%]

Remarks

If the DMode property is set to 0, the MEffect property determines how the image, text, shape or video frame will be displayed on the screen.  The control size along with the MDelay and MGrain properties determine the speed of the effect.  See Appendix A for a complete list of available effects.

Use this property in conjunction with the MGrain and MDelay properties.

Data Type

Integer (Enumerated)


MGrain Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape, FXVid

Description

Sets or returns the grain size for the main or dissolve effect.

Usage

[form.]FXControl.MGrain[ = grain%]

Remarks

The effect grain is the smallest increment or image area used when displaying an effect.  For instance, when sliding an image up, the grain size specifies how many lines to jump between each slide.  A smaller value (like 2) produces a smoother effect, but it takes longer to perform.  A value of 35 executes faster, but it is very coarse.  You may specify a grain from 1 to 256.  Note that the size of the control, the grain size, and the delay will affect how fast the image displays.

Use this property in conjunction with the MDelay property.

Data Type

Integer


MidiVolume Property

Applies To

FXVid, FXSnd

Description

Sets or returns the midi volume level.

Usage

[form.]FXControl.MidiVolume[ = setting&]

Remarks

The MidiVolume property can be set to a value between 0 and 65535, inclusive.  A value of 65535 represents full volume and a value of 0 is silence.  Not all devices support volume changes.  Use the SetMidi property to determine whether your device supports volume control.  Most devices do not support the full 16 bits of volume-level control (0-65535) and will use only the high-order bits of the requested volume setting.  For example, for a device that supports 4 bits of volume control, requested volume level values of  16384, 20479, and 17342 (0x4000, 0x4fff, and 0x43be) will all produce the same physical volume setting, 16384 (0x4000).  Volume settings are interpreted logarithmically.  This means the perceived increase in volume is the same when increasing the volume from 20480 (0x5000) to 24576 (0x6000) as it is from 16384 (0x4000) to 20480 (0x5000).

Data Type

Long


MixerBass Property

Applies To

FXVid, FXSnd

Description

Sets or returns the mixer bass level.

Usage

[form.]FXControl.MixerBass[ = setting%]

Remarks

The MixerBass property can be set to a value between 0 and 100, inclusive.

NOTE: See Appendix B "MCI Requirements" for details about mixer support.

Data Type

Integer


MixerEnhance Property

Applies To

FXVid, FXSnd

Description

Sets or returns the stereo enhance flag.

Usage

[form.]FXControl.MixerEnhance[ = {True | False}]

Remarks

When set True, the MixerEnhance property increases stereo separation.

NOTE: See Appendix B "MCI Requirements" for details about mixer support.

Data Type

Integer (Boolean)


MixerLoudness Property

Applies To

FXVid, FXSnd

Description

Sets or returns the loudness flag.

Usage

[form.]FXControl.MixerLoudness[ = {True | False}]

Remarks

When set True, the MixerLoudness property adds bass boost for low volumes.

NOTE: See Appendix B "MCI Requirements" for details about mixer support.

Data Type

Integer (Boolean)


MixerTreble Property

Applies To

FXVid, FXSnd

Description

Sets or returns the mixer treble level.

Usage

[form.]FXControl.MixerTreble[ = setting%]

Remarks

The MixerTreble property can be set to a value between 0 and 100, inclusive.

NOTE: See Appendix B "MCI Requirements" for details about mixer support.

Data Type

Integer


MixerVolume Property

Applies To

FXVid, FXSnd

Description

Sets or returns the mixer volume level.

Usage

[form.]FXControl.MixerVolume[ = setting%]

Remarks

The Volume property can be set to a value between 0 and 100, inclusive.

NOTE: See Appendix B "MCI Requirements" for details about mixer support.

Data Type

Integer


Mode Property

Applies To

FXVid, FXSnd

Description

Specifies the current mode of an opened sound or video device.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.Mode

Remarks

The Mode property returns not ready, paused, playing, stopped, recording, or seeking.

Data Type

String


Multitask Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape

Description

Sets or returns the multitask flag.

Usage

[form.]FXControl.Multitask[ = {True | False}]

Remarks

When the Multitask property is True, other tasks can run concurrently during an effect.  When the property is False, the effect time is not shared by any other task.  If you want to play audio or video during an effect, this flag should be set True.

Data Type

Integer (Boolean)


Notify Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape, FXVid, FXSnd

Description

FXVid, FXSnd:

Determines if the Play, Play From, Play To, and Play From/To commands use MCI notification services.  If set to True, the Notify property generates a callback event (Notify), which occurs when the command is complete.

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXShape:

Determines when the effect has been completed.  If set to True, the Notify property generates a callback event (Notify), which occurs after a delay period, defined by the Notify Delay property, whenever a main or dissolve effect has completed.  Note:  The FXEnabled property must also be True in order for a Notify event to occur.

FXMtext:

If set to True, the Notify property generates a callback event (Notify) when the text has stopped moving.

Usage

[form.]FXControl.Notify[ = {True | False}]

Remarks

The following table lists the Notify property settings.

Setting	Description

False	(Default) A Notify event will not occur.

True	A Notify events will occur

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape:

Use this property in conjunction with the NotifyDelay property.

Data Type

Integer (Boolean)


NotifyDelay Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape

Description

Sets or returns the Notify event delay.

Usage

[form.]FXControl.NotifyDelay[ = delay&]

Remarks

The NotifyDelay property sets the time delay, in milliseconds,  for a Notify event.  The delay occurs

after a main or dissolve effect has completed.  You may specify a delay from 0 to 65535.

Use this property in conjunction with the Notify property.

Data Type

Long


NotifyValue Property

Applies To

FXVid, FXSnd

Description

Specifies the result of the last MCI command that requested a notification.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.NotifyValue

Remarks

The following table lists the NotifyValue return values.

Setting	Description

1	Command completed successfully.

2	Command was superseded by another command.

4	Command was aborted by the user.

8	Command failed.

Data Type

Long


Overlay Property

Applies To

FXLabel, FXRtext, FXShape

Description

Determines how the label or shape is displayed.

Usage

[form.]FXControl.Overlay[={True | False}]

Remarks

The following table lists the Overlay property settings:

FXLabel:

Setting	Description

True	If the BackStyle is opaque, the label will not be erased before it is

updated.  The label text, however, will completely update.

If the BackStyle is transparent, the label will overlay the current screen.

False	(Default) The label will be erased before it is redrawn.

FXRtext, FXShape:

Setting	Description

True	The text or shape will overlay the current background.

False	(Default) The text or shape will be erased before it is redrawn.

Data Type

Integer (Boolean)


Palette Property

Applies To

FXCmp

Description

Sets or returns the image palette type.  The Palette property is only valid if the current image was loaded using the FileName property and the image is displayed using a palette.

Usage

[form.]FXControl.Palette[ = setting%]

Remarks

The Palette property settings are:

Setting	Description

0	Optimized Palette (Default) - The image will be displayed using an optimized palette.

1	Fixed Palette - The image will be displayed using an internal fixed palette.

Data Type

Integer (Enumerated)


Picture Property

Applies To

FXImage, FXCmp, FXFif

Description

Specifies a bitmap to display in the control.

Usage

[form.]FXControl.Picture[ = picture]

Remarks

The Picture property settings are:

Setting	Description

(none)	(Default) No picture.

(bitmap)	Designates a .BMP or .DIB file to display.  You can load the image from

the Properties window at design time.  At run time, you can set

this property by using the LoadPicture function on a bitmap.

Note: When an image is loaded using the FileName property,

the picture property is set to a bitmap of the image.

Data Type

Integer


Play Property

Applies To

FXSnd

Description

Plays music through the PC speaker.  This property is not available at design time and is write-only at run time.

Usage

[form.]FXControl.Play = stringexpression$

Remarks

The Play property emulates the QBASIC play statement.  Refer to the QBASIC documentation for information on how to construct Play sound strings.

Data Type

String


Position Property

Applies To

FXVid, FXSnd

Description

Specifies, in the current time format, the position of the media in an open MCI device.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.Position

Data Type

Long


Repeat Property

Applies To

FXVid, FXSnd

Description

Continually repeats the playback of a sound or video file.

Usage

[form.]FXControl.Repeat[={True | False}]

Remarks

*	If a Play or Play From Start command was issued, the entire video or sound file repeats.

*	If a Play From command was issued, the video or sound repeats from the position specified

specified in the From property.

*	If a Play To command was issued, the video or sound repeats from the start to the position

specified in the To property.

*	If a Play From/To command was issued, the video or sound repeats between the positions

specified in the From and To properties.

Data Type

Integer (Boolean)


ResultMessage Property

Applies To

FXVid, FXSnd

Description

Specifies the result of the last MCI command.

This property is not available at design time and is read-only at run time.

Usage

[form.]FXControl.ResultMessage

Data Type

String


SetMidi Property

Applies To

FXSnd

Description

Determines if the MIDI device supports volume changes.

This property  is not available at design time and is read-only at runtime.

Usage

[form.]FXControl.SetMidi

Remarks

The SetMidi property returns True if the MIDI device supports volume changes.  If the MIDI device supports volume changes, you can use the MidiVolume property to change the MIDI volume.

Data Type

Integer (Boolean)


SetWave Property

Applies To

FXSnd

Description

Determines if the wave audio device supports volume changes.

This property  is not available at design time and is read-only at runtime.

Usage

[form.]FXControl.SetWave

Remarks

The SetWave property returns True if the wave audio device supports volume changes.  If the wave audio device supports volume changes, you can use the WaveVolume property to change the wave audio volume.

Data Type

Integer (Boolean)


ShadowColor Property

Applies To

FXShape

Description

Sets or returns the shape shadow color.

Usage

[form.]FXControl.ShadowColor[ = color&]

Data Type

Long


ShadowDropX Property

Applies To

FXShape

Description

Sets or returns the horizontal offset for the drop shadow.

Usage

[form.]FXControl.ShadowDropX[ = offset%]

Remarks

The ShadowDropX property can be set to a value between -10 and 10, inclusive.  Positive values shift the drop shadow right while negative values shift the drop shadow left.  Use this property in conjunction with the ShadowStyle, ShadowDropY and ShadowColor properties.

Data Type

Integer


ShadowDropY Property

Applies To

FXShape

Description

Sets or returns the vertical offset for the drop shadow.

Usage

[form.]FXControl.ShadowDropY[ = offset%]

Remarks

The ShadowDropY property can be set to a value between -10 and 10, inclusive.  Positive values shift the drop shadow down while negative values shift the drop shadow up.

Use this property in conjunction with the ShadowStyle, ShadowDropX and ShadowColor properties.

Data Type

Integer


ShadowStyle Property

Applies To

FXShape

Description

Sets or returns the style of the shape's shadow.

Usage

[form.]FXControl.ShadowStyle[ = setting%]

Remarks

The following table lists the ShadowStyle property settings:

Setting	Description

0	None (Default)

1	Drop Shadow

Use this property in conjunction with the ShadowDropX, ShadowDropY and ShadowColor

properties.

Data Type

Integer (Enumerated)


Shape Property

Applies To

FXShape

Description

Sets or returns the shape type.

Usage

[form.]FXControl.Shape[ = setting%]

Remarks

The following table lists the Shape property settings:

Setting	Description

0	Rectangle (Default)

1	Square

2	Oval

3	Circle

4	Rounded Rectangle

5	Rounded Square

6	Octagon

7	Star

8	Equilateral Triangle

9	Triangle-Right

10	Triangle-Up

11	Triangle-Left

12	Triangle-Down

13	Diamond

14	Pentagon

15	Hexagon

Data Type

Integer (Enumerated)


ShowBGR Property

Applies To

FXCmp

Description

Sets or returns the BGR flag.

Usage

[form.]FXControl.ShowBGR[ = {True | False}]

Remarks

The ShowBGR property determines the color order for 24-bit images.  Some 24-bit video cards display using BGR order and some display using RGB order.  If 24-bit images display incorrectly, use the ShowBGR property to change the video order.

Data Type

Integer (Boolean)


ShowDithered Property

Applies To

FXCmp, FXImage

Description

FXCmp:

Sets or returns the dithering style.

FXImage:

Sets or returns the image dither flag.

Usage

FXCmp:

[form.]FXControl.ShowDithered[ = setting%]

FXImage:

[form.]FXControl.ShowDithered[ = {True | False}]

Remarks

FXCmp:

The ShowDithered property sets the dithering method.  An image is dithered when its color depth is reduced from 16, 24 or 32 bits per pixel to 4 or 8 bits per pixel.  The image is dithered using a fixed or optimized palette depending on the setting of the Palette property.

The ShowDithered property settings are:

Setting	Description

0	Nearest Color (Use with an optimized palette only)

1	Floyd-Stein (Default)

2	Stucki

3	Burkes

4	Sierra

5	Stevenson

Use this property in conjunction with the Palette property.

FXImage:

When the ShowDithered property is set to True and the Windows display mode is set to 16 colors, then images containing more than 16 colors will have the colors remapped and dithered when they are displayed using the FileName property.  When the ShowDithered property is set to False and the Windows display mode is set to 16 colors, then images containing more than 16 colors will have the colors remapped only.

Data Type

FXCmp:

Integer (Enumerated)

FXImage:

 Integer (Boolean)


ShowFlipped Property

Applies To

FXCmp

Description

Sets or returns the flip image flag.

Usage

[form.]FXControl.ShowFlipped[ = {True | False}]

Remarks

When the ShowFlipped property is True, the image is displayed upside down when it is loaded.

Data Type

Integer (Boolean)


ShowGrayScale Property

Applies To

FXCmp

Description

Sets or returns the gray scale flag.

Usage

[form.]FXControl.ShowGrayScale[ = {True | False}]

Remarks

When the ShowGrayScale property is True, the image displays gray scaled when it is loaded.

Data Type

Integer (Boolean)


ShowHourglass Property

Applies To

FXCmp, FXFif

Description

Sets or returns the hourglass flag.

Usage

[form.]FXControl.ShowHourglass[ = {True | False}]

Remarks

When the ShowHourglass property is True, the cursor will change to an hourglass whenever an image is loaded using the FileName property.

Data Type

Integer (Boolean)


ShowPCD Property

Applies To

FXCmp

Description

Sets or returns the PhotoCD image size.

Usage

[form.]FXControl.ShowPCD[ = setting%]

Remarks

The ShowPCD property determines the image size that will be displayed when a PhotoCD image is loaded.  If the PhotoCD image does not support the requested size, an error will be reported by the FXError property.

The ShowPCD property settings are:

Setting	Description

0	64x96 pixels

1	128x192 pixels

2	256x768 pixels

3	512x768 pixels (Default)

4	1024x1536 pixels

5	2048x3072

Data Type

Integer (Enumerated)


ShowReverse Property

Applies To

FXCmp

Description

Sets or returns the reverse image flag.

Usage

[form.]FXControl.ShowReverse[ = {True | False}]

Remarks

When the ShowReverse property is True, the image is displayed reversed when it is loaded.

Data Type

Integer (Boolean)


Silent Property

Applies To

FXVid

Description

Sets the audio on or off.

Usage

[form.]FXControl.Silent[ = {True | False}]

Remarks

The following table lists the Silent property settings.

Setting	Description

False	(Default) Sets audio on.

True	Sets audio off.

Data Type

Integer (Boolean)


SoundType Property

Applies To

FXSnd

Description

Sets or returns the sound file type.

Usage

[form.]FXControl.SoundType[ = setting%]

Remarks

The SoundType property settings are:

Setting	Description

0	(Default) Wave Audio.

1	MIDI Sequencer

The SoundType property determines the MCI device that is opened by the Open, Open & Cue, Open & Play and AutoPlay MCI commands.  If SoundType is 0, then the FileName property must be a wave audio file (.WAV).  If SoundType is 1, then the FileName property must be a MIDI sequencer file (.MID).

Data Type

Integer (Enumerated)


Speed Property

Applies To

FXVid

Description

Sets the relative speed of the video.

Usage

[form.]FXControl.Speed[ = setting%]

Remarks

Speed is the relative ratio between the nominal frame rate and the desired frame rate where the nominal frame rate is designated as 1000.  You may specify a speed from 0 to 9999.

Data Type

Integer (Boolean)


StartPosition Property

Applies To

FXSnd, FXVid, FXMtext

Description

FXSnd, FXVid:

Specifies, in the current time format, the starting position of the media in an open MCI

device.  This property is not available at design time and is read-only at run time.

FXMtext:

Sets or returns the starting position of the caption.

Usage

FXSnd, FXVid:

[form.]FXControl.StartPosition

FXMtext:

[form.]FXControl.StartPosition[ = setting%]

Remarks

FXMtext:

The following table lists the StartPosition property settings.

Setting	Description

    0	LEFT-TOP (Default)

    1	LEFT-MIDDLE

    2	LEFT-BOTTOM

    3	RIGHT-TOP

    4	RIGHT-MIDDLE

    5	RIGHT-BOTTOM

    6	CENTER-TOP

    7	CENTER-BOTTOM

Use this property in conjunction with the StartVisible, StopPosition and StopVisible properties.

Data Type

FXSnd, FXVid:

Long

FXMtext:

Integer (Enumerated)


StartVisible Property

Applies To

FXMtext

Description

Sets or returns the StartVisible flag.

Usage

[form.]FXControl.StartVisible[ = {True | False}]

Remarks

When the StartVisible property is True, the caption will be visible when motion begins.  This is the default setting.  When the property is False, the caption will start moving from outside of the control.

Data Type

Integer (Boolean)


StopPosition Property

Applies To

FXMtext

Description

Sets or returns the end position of the caption.

Usage

[form.]FXControl.StopPosition[ = setting%]

Remarks

The following table lists the StopPosition property settings.

Setting	Description

    0	LEFT-TOP (Default)

    1	LEFT-MIDDLE

    2	LEFT-BOTTOM

    3	RIGHT-TOP

    4	RIGHT-MIDDLE

    5	RIGHT-BOTTOM

    6	CENTER-TOP

    7	CENTER-BOTTOM

Use this property in conjunction with the StartPosition, StartVisible, and StopVisible properties.

Data Type

Integer (Enumerated)


StopVisible Property

Applies To

FXMtext

Description

Sets or returns the StopVisible flag.

Usage

[form.]FXControl.StopVisible[ = {True | False}]

Remarks

When the StopVisible property is True, the caption will be visible when motion ends.  This is the default setting.  When the property is False, the caption will move outside of the control.

Data Type

Integer (Boolean)


SystemRes Property

Applies To

FXCmp

Description

Returns the percentage of free space for SYSTEM resources from 0 to 100.  This is the same as the value found in the About box on the Program Manager Help menu.  This number represents the

lower of GDIRes and UserRes.  If this value falls below 40%, the FXCmp control may operate unpredictably or it may fail to decompress CMP or JPEG images.  This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.SystemRes

Data Type

Integer


TBackColor Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the transition background color.

Usage

[form.]FXControl.TBackColor[ = color&]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

Use this property in conjunction with the TForeColor and TStyle properties.

Data Type

Long


TDEffect1 Property

Applies To

FXLabel

Description

Sets or returns the effect for the first pass of a transition dissolve.

Usage

[form.]FXControl.TDEffect1[ = setting%]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.

Use this property in conjunction with the TDEffect2, TDEffect3 and TDMode properties.

Data Type

Integer (Enumerated)


TDEffect2 Property

Applies To

FXLabel

Description

Sets or returns the effect for the second pass of a transition dissolve.

Usage

[form.]FXControl.TDEffect2[ = setting%]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.

Use this property in conjunction with the TDEffect1, TDEffect3 and TDMode properties.

Data Type

Integer (Enumerated)


TDEffect3 Property

Applies To

FXLabel

Description

Sets or returns the effect for the third pass of a transition dissolve.

Usage

[form.]FXControl.TDEffect3[ = setting%]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

See Appendix A for a complete list of available effects.

NOTE:  Some effects are not available for dissolves.

Use this property in conjunction with the TDEffect1, TDEffect2 and TDMode properties.

Data Type

Integer (Enumerated)


TDelay Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the delay for the transition effect.

Usage

[form.]FXControl.TDelay[ = delay%]

Remarks

The TDelay property sets the time delay, in milliseconds,  for future transition effects.  The delay occurs between each effect grain so the combination of image size, grain size, and time delay affect the overall speed.  You may specify a delay from 0 to 255.

Use this property in conjunction with the TGrain property.

Data Type

Integer


TDMode Property

Applies To

FXLabel

Description

Sets or returns the label transition dissolve mode.  The speed of the dissolve can be adjusted using the TDelay and TGrain properties.

Usage

[form.]FXLabel.TDMode[ = setting%]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

The TDMode property settings are:

Setting	Description

0	(Default) None.

1	Single Pass.  Only half of the transition pixels are displayed.

This produces the illusion of a faded background.  The effect used

for the dissolve is determined by the TDEffect1 property

2	Double Pass.  Half of the transition pixels are displayed

during the first pass and the remaining pixels are displayed during

the second pass.  The effect used for the first pass is determined by

the TDEffect1 property.  The effect used for the second pass is

determined by the TDEffect2 property.

3	Triple Pass.  One third of the transition pixels are displayed

during the first pass, two thirds during the second pass and the

remaining pixels are displayed during the third pass.  The effect

used for the first pass is determined by the TDEffect1 property.

The effect used for the second pass is determined by the

TDEffect2 property and the effect used for the third pass is

determined by the TDEffect3 property.

Use this property in conjunction with the TDEffect1, TDEffect2 and TDEffect3 properties.

Data Type

Integer (Enumerated)


TEffect Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the transition effect.

Usage

[form.]FXControl.TEffect[ = setting%]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

See Appendix A for a complete list of available effects.

Use this property in conjunction with the TGrain and TDelay properties.

Data Type

Integer (Enumerated)


TEnabled Property

Applies To

FXImage, FXCmp, FXFif, FXLabel,  FXVid

Description

Sets or returns the transition enabled flag.

Usage

[form.]FXControl.TEnabled[ = {True | False}]

Remarks

When the TEnabled property is True, a transition effect will occur before a main or dissolve effect.

Data Type

Integer (Boolean)


TForeColor Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the transition foreground color.

Usage

[form.]FXControl.TForeColor[ = color&]

Remarks

A transition effect occurs before a main or dissolve effect only if the TEnabled property is True.

Use this property in conjunction with the TBackColor and TStyle properties.

Data Type

Long


TGrain Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the grain size for the transition effect.

Usage

[form.]FXControl.TGrain[ = grain%]

Remarks

The effect grain is the smallest increment or image area used when displaying an effect.  For instance, when sliding an image up, the grain size specifies how many lines to jump between each slide.  A smaller value (like 2) produces a smoother effect, but it takes longer to perform.  A value of 35 executes faster, but it is very coarse.  You may specify a grain from 1 to 256.  Note that the size of the control, the grain size, and the delay will affect how fast the transition displays.

Use this property in conjunction with the TDelay property.

Data Type

Integer


TimeFormat Property

Applies To

FXVid

Description

Sets or returns the time format for sound or video.

Usage

[form.]FXControl.TimeFormat[ = setting%]

Remarks

The TimeFormat property  settings are:

Setting	Description

0	(Default) Frames

1	Milliseconds

Use this property in conjunction with the From, Position, and To properties.

Data Type

Integer


To Property

Applies To

FXSnd, FXVid

Description

Specifies the ending point, using the current time format, for the Play commands.

Usage

[form.]FXControl.To[ = location&]

Remarks

The argument location& specifies the ending point for the play operation. The current time

format is given by the TimeFormat property.

Data Type

Long


Transparent Property

Applies To

FXImage, FXCmp, FXFif

Description

Sets or returns the transparent flag.

Usage

[form.]FXControl.Transparent[ = {True | False}]

Remarks

When the Transparent property is True, the background will show through the image wherever the transparent color appears in the image.  The transparent color is set by the TransparentColor property.

Data Type

Integer (Boolean)


TransparentColor Property

Applies To

FXImage, FXCmp, FXFif

Description

Sets or returns the transparent color.

Usage

[form.]FXControl.TransparentColor[ = color&]

Remarks

The background will show through all of the pixels in the image that have the transparent color.

Data Type

Long


TransparentMode Property

Applies To

FXImage, FXCmp, FXFif

Description

Sets or returns the transparent mode.  If the Transparent property is True, the

TransparentMode property determines whether the image is completely erased before it paints

or whether it overlays on the current background.

Usage

[form.]FXControl.TransparentMode[ = setting%]

Remarks

The following table lists the TransparentMode property settings.

Setting	Description

0	Update (Default) - The control will completely erase before it is painted..

1	Overlay - The control will not erase before it is painted.  Use this property

setting when you want to place another control (e.g. an FXLabel) on top of the

transparent image.

Data Type

Long


TStyle Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the transition style.

Usage

[form.]FXControl.TStyle[ = setting%]

Remarks

The TStyle property sets the style for transition effects.  The background color for a transition is set by the TBackColor property and the foreground color is set by the TForeColor property.

The TStyle property settings are:

Setting	Description

0	Solid

1	Horizontal Line

2	Vertical Line

3	Downward Diagonal

4	Upward Diagonal

5	Cross

6	Diagonal Cross

Use this property in conjunction with the TForeColor and TBackColor properties.

Data Type

Integer (Enumerated)


UpdateImage Property

Applies To

FXImage, FXCmp, FXFif

Description

Sets or returns the image update flag.

Usage

[form.]FXControl.UpdateImage[ = {True | False}]

Remarks

When the UpdateImage property is True, the image always updates whenever any part of it needs to be repainted.  This is the default setting.  When the property is False, the image will not update.  Use this property with caution.  If you set it False in design mode and never set it True, your image will not be displayed.  If the UpdateImage property is set False, a Notify event will not occur if the Notify property is True.

Data Type

Integer (Boolean)


UpdateLabel Property

Applies To

FXLabel

Description

Sets or returns the label update flag.

Usage

[form.]FXControl.UpdateLabel[ = {True | False}]

Remarks

When the UpdateLabel property is True, the label always updates whenever any part of it needs to be repainted.  This is the default setting.  When the property is False, the label will not update.  Use this property with caution.  If you set it False in design mode and never set it True, your label will not be displayed.  If the UpdateLabel property is set False, a Notify event will not occur if the Notify property is True.

Data Type

Integer (Boolean)


UpdateShape Property

Applies To

FXShape

Description

Sets or returns the shape update flag.

Usage

[form.]FXControl.UpdateShape[ = {True | False}]

Remarks

When the UpdateShape property is True, the shape always updates whenever any part of it needs to be repainted.  This is the default setting.  When the property is False, the shape will not update.  Use this property with caution.  If you set it False in design mode and never set it True, your shape will not be displayed.  If the UpdateShape property is set False, a Notify event will not occur if the Notify property is True.

Data Type

Integer (Boolean)


UpdateText Property

Applies To

FXRtext, FXMtext

Description

Sets or returns the text update flag.

Usage

[form.]FXControl.UpdateText[ = {True | False}]

Remarks

When the UpdateText property is True, the text always updates whenever any part of it needs to be repainted.  This is the default setting.  When the property is False, the text will not update.  Use this property with caution.  If you set it False in design mode and never set it True, your text will not be displayed.  If the UpdateText property is set False, a Notify event will not occur if the Notify property is True.

Data Type

Integer (Boolean)


UserRes Property

Applies To

FXCmp

Description

Returns the percentage of free space for USER resources from 0 to 100. These resources include

window and menu handles.  If this value falls below 40%, the FXCmp control may operate unpredictably or it may fail to decompress CMP or JPEG images.  This property is read-only at runtime and is not available at design time.

Usage

[form.]FXControl.UserRes

Data Type

Integer


VideoType Property

Applies To

FXVid

Description

Sets or returns the video file type.

Usage

[form.]FXControl.VideoType[ = setting%]

Remarks

The VideoType property settings are:

Setting	Description

0	(Default) AVI Video.

1	QuickTime Video.

Remarks

The VideoType property determines the MCI device that is opened by the Open, Open & Cue,

Open & Play and AutoPlay commands.  If VideoType is 0, then the FileName property must be

an AVI video file and Microsoft Video for Windows must be installed.   If VideoType is 1, then the

FileName property must be a QuickTime video file and QuickTime for Windows must be installed.

Data Type

Integer (Enumerated)


Wand Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the wand flag.

Usage

[form.]FXControl.Wand[ = {True | False}]

Remarks

When the Wand property is True,  certain effects will be displayed using a moving wand.

Appendix A lists the effects that support the Wand property.

When the Wand property is True, the roll effects (Effects 98-101) use the WandWidth property setting for the width of the roller.

Data Type

Integer (Boolean)


WandColor Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the wand color.

Usage

[form.]FXControl.WandColor[ = color&]

Data Type

Long


WandWidth Property

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXVid

Description

Sets or returns the width of the wand.

Usage

[form.]FXControl.WandWidth[ = width%]

Remarks

You may specify a width from 1 to 256.

If the Wand property is True, the roll effects (Effects 98-101) use the WandWidth value for the width of the roller.

Use this property in conjunction with the Wand and WandColor properties.

Data Type

Integer


WaveVolume Property

Applies To

FXSnd, FXVid

Description

Sets or returns the wave audio volume level.

Usage

[form.]FXControl.WaveVolume[ = setting&]

Remarks

The WaveVolume property can be set to a value between 0 and 65535, inclusive.  A value of 65535 represents full volume and a value of 0 is silence.  Not all devices support volume changes.  Use the SetWave property to determine whether your device supports volume control.  Most devices do not support the full 16 bits of volume-level control (0-65535) and will use only the high-order bits of the requested volume setting.  For example, for a device that supports 4 bits of volume control, requested volume level values of  16384, 20479, and 17342 (0x4000, 0x4fff, and 0x43be) will all produce the same physical volume setting, 16384 (0x4000).  Volume settings are interpreted logarithmically.  This means the perceived increase in volume is the same when increasing the volume from 20480 (0x5000) to 24576 (0x6000) as it is from 16384 (0x4000) to 20480 (0x5000).

Data Type

Long


WordWrap Property

Applies To

FXLabel

Description

Determines whether a label with its AutoSize property set to False expands vertically to fit the caption within the control size.

Usage

[form.]FXControl.WordWrap[ = {True | False}]

Remarks

The WordWrap property settings are:

Setting	Description

True	The text wraps within thecontrol.

False	(Default) The text does not wrap; the label expands or contracts

horizontally to fit the length of the text.

Data Type

Integer (Boolean)


Notify Event

Applies To

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape, FXVid, FXSnd

Description

FXVid, FXSnd:

Occurs when the Notify property is True and an MCI PLAY command finishes.

FXImage, FXCmp, FXFif, FXLabel, FXRtext, FXMtext, FXShape:

Occurs when the Notify and FXEnabled  properties are True and a main or dissolve effect completes.

Syntax

Sub FXVid_Notify( Index as Integer )


Effects Listing
Appendix A                           Listing of Special Effects

The following table lists the effects available for FXTools/VB Professional Edition.  In the description

for each effect, image refers to a bitmap, text, shape or video frame.

Note that some effects are not available for dissolves.

Applies To

FXImage, FXCmp, FXFif, FXVid, FXLabel, FXRtext, FXShape

Properties

MEffect, DEffect1, DEffect2, DEffect3, TEffect, TDEffect1,

TDEffect2, TDEffect3

Setting	Description

0	No Effect - The image appears instantly.

1	Left To Right - The image wipes left to right.

2	Right To Left - The image wipes right to left.

3	Top To Bottom - The image wipes top to bottom.

4	Bottom To Top - The image wipes bottom to top.

5	Horizontal Wipe In - The image wipes in horizontally from the

left and right sides simultaneously.

6	Horizontal Wipe Out - The image wipes out horizontally starting

from the center.

7	Vertical Wipe In - The image wipes in vertically from  the top

and bottom simultaneously.

8	Vertical Wipe Out - The image wipes out vertically starting from

the center.

9	Slide Up - The image slides from the bottom to the top.

10	Slide Down - The image slides from the top to the bottom.

11	Push Up1 - The image slides from the bottom to the top, pushing

the current image up as it proceeds.

12	Push Down1- The image slides from the top to the bottom,

pushing the current image down as it proceeds.

13	Diagonal TL - BR - The image wipes diagonally from the top left

corner to the bottom right corner.

14	Diagonal BL - TR - The image wipes diagonally from the bottom left

corner to the top right corner.

15	Diagonal TR - BL - The image wipes diagonally from the top right

corner to the bottom left corner.

16	Diagonal BR - TL - The image wipes diagonally from the bottom

right corner to the top left corner.

17	Double Diag. TL - BR - The image wipes diagonally simultaneously

from the top left corner to the bottom right corner and from the

bottom right corner to the top left corner.

18	Double Diag. TR - BL - The image wipes diagonally simultaneously

from the top right corner to the bottom left corner and from the

bottom left corner to the top right corner.

19	Diagonal Out TL-BR - The image appears diagonally simultaneously

from the center to the top left corner and from the center to the

bottom right corner.

20	Diagonal Out TR-BL - The image appears diagonally simultaneously

from the center to the top right corner and from the center to the

bottom left corner.

21	Diagonal Quad. -  The image wipes diagonally from all four corners.

22	Explode - The image explodes from the center to the outer edges.

23	Implode - The image implodes from the outer edges to the center.

24	Zoom Out1 - The image zooms out from the center.

25	Zoom In1 - The image zooms in from the outer edges.

26	Corners Out - Corners of the image expand from the center out.

27	Horiz. Interlace - Alternating bars proceed simultaneously from

the left side of the image to the  right and from the right side

of the image to the left.

28	Vert. Interlace - Alternating bars proceed simultaneously from

the top of the image to the bottom and from the bottom of the

image to the top.

29	Horiz. Double Pass 2 - Alternating bars proceed from left to right, then from right to left.

30	Vert. Double Pass 2 - Alternating bars proceed from top to

bottom, then from bottom to top.

31	Horiz. Double Pass - Alternating bars proceed from the left side

of the image to right using two passes.

32	Vert. Double Pass - Alternating bars proceed from the top of

the image to the bottom using two passes.

33	Random Lines - The image wipes using random lines.

34	Horizontal Blind - The image displays like a horizontal blind

opening.

35	Vertical Blind - The image displays like a vertical blind opening.

36	Double Blind - Horizontal and vertical blind combined.

37	Swirl In - The image swirls in from the outer edges to the center.

38	Swirl Out - The image swirls out from the center to the edges.

39	Random Block - The image is displayed using random blocks.

40	Checkerboard - Two pass wipe from top to bottom using a

checkerboard effect.

41	Vert. Double Wipe - Half of the image wipes from the top to the

bottom while the other half wipes from the bottom to the top.

the left side.

42	Horiz. Double Wipe -  Half of the image wipes from left to right

while the other half wipes from right to left.

43	Kaleidoscope -  The image is split in four quadrants.  The top left

quadrant is displayed from the center to the top.  The top right

quadrant is displayed from the top to the center.  The bottom left

quadrant is displayed from the bottom to the center.  The bottom

right quadrant is displayed from the center to the bottom.

44	Double Wipe Out - Half of the image wipes simultaneously from

the center to the left and right sides, then the image wipes

simultaneously to the top and bottom.

45	Double Wipe In - The image wipes simultaneously from the top and

bottom towards the center until half of the image is displayed,

then the image wipes simultaneously from the left and right sides

towards the center.

46	Vert. Squash1- The image appears simultaneously from the top and

bottom  while squashing the previous image towards the center.

47	Vert. Pull1 - The image appears to be pulled vertically from the

center while pushing the previous image out.

48	Horiz. Squash1 - The image appears simultaneously from the left and

right while squashing the previous image towards the center.

49	Horiz. Pull1 - The image appears to be pulled horizontally from the

center while pushing the previous image out.

50	Drip - The image builds upon itself starting at the bottom.

51	No Picture2 - Allows a transition effect to occur without a main

effect or dissolve.

52	Slide Left - The image slides from right to left.

53	Slide Right - The image slides from left to right.

54	Push Left1 - The image slides from right to left, pushing

the current image left as it proceeds.

55	Push Right1 - The image slides from left to right, pushing

the current image right as it proceeds.

56	Double Diag. Up -  The image wipes diagonally simultaneously from

the bottom corners to the top corners.

57	Double Diag. Down - The image wipes diagonally simultaneously

from the top corners to the bottom corners.

58	Double Diag. Left - The image wipes diagonally simultaneously

from the right corners to the left corners.

59	Double Diag. Right - The image wipes diagonally simultaneously

from the left corners to the right corners.

60	Random Bars Up - The image displays with random bars from

bottom to top.

61	Random Bars Down - The image displays with random bars from

top to bottom.

62	Random Bars Left - The image displays with random bars from

right to left.

63	Random Bars Right - The image displays with random bars from

left to right.

64	Sparkle Up - The image displays with random blocks from

bottom to top.

65	Sparkle Down - The image displays with random blocks from

top to bottom.

66	Sparkle Left - The image displays with random blocks from

right to left.

67	Sparkle Right - The image displays with random blocks from

left to right.

68	Clockwise - The image displays like the second hand on a clock.

69	Counterclockwise - The image displays like a second hand on a

clock that moves counterclockwise.

70	Semicircle-RL - The image displays like a windshield wiper

moving from right to left.

71	Semicircle-LR - The image displays like a windshield wiper

moving from left to right.

72	Semicircle-In - The image displays like two windshield wipers.

One moves from left to right and the other moves from right

to left and they meet in the center.

73	Semicircle-Out - The image displays like two windshield wipers.

One moves from left to right and the other moves from right

to left and they start in the center.

74	Double Clockwise - The image displays like two second hands on a

clock that start from 12:00 and 6:00.

75	Circular Quad - The image displays like four second hands on a

clock that start from 3:00, 6:00, 9:00 and 12:00.

76	Diagonal Slide TL-BR - The image slides diagonally from top left

to bottom right.

77	Diagonal Slide TR-BL - The image slides diagonally from top

right to bottom left.

78	Diagonal Slide BL-TR - The image slides diagonally from

bottom left to top right.

79	Diagonal Slide BR-TL - The image slides diagonally from

bottom right to top left.

80	Horiz. Double Slide -The top half of the image slides from right to

left and the bottom half simultaneosly slides from left to right.

81	Vert. Double Slide - The left half of the image slides from  bottom

to top and the right half simultaneosly slides from top to bottom.

82	Rotate Left -The image stretches from left to right.

83	Rotate Right - The image stretches from right to left.

84	Rotate Top - The image stretches from top to bottom.

85	Rotate Bottom - The image stretches from bottom to top.

86	Horiz. Center Stretch -The image stretches horizontally from the center.

87	Vert. Center Stretch - The image stretches vertically from the center.

88	Horiz. Stretch to Center -The image stretches horizontally

simultaneously from the left and right, meeting in the center.

89	Vert. Stretch to Center - The image stretches vertically

simultaneously from the top and bottom, meeting in the center.

90	Blocks TB - Rows of blocks display from top to bottom.

91	Blocks BT - Rows of blocks display from bottom to top.

92	Blocks LR - Rows of blocks display from left to right.

93	Blocks RL - Rows of blocks display from right to left.

94	Growing Blind TB - Growing blinds display from top to bottom.

95	Growing Blind BT - Growing blinds display from bottom to top.

96	Growing Blind LR - Growing blinds display from left to right.

97	Growing Blind RL - Growing blinds display from right to left.

98	Roll TB - The image rolls  from top to bottom.

99	Roll BT - The image rolls  from bottom to top.

100	Roll LR - The image rolls  from left to right.

101	Roll RL - The image rolls  from right to left.

1 Effect is unavailable for dissolves.

2 Effect is unavailable for FXLabel, FXRtext and FXShape.

The WandWidth  property defines the width of  the wand for effects 1-8 and the width of the paint roller for effects 98-101 when WandEnabled is set to True.


MCI Requirements
Appendix B                                 MCI Requirements

FXVid - Video Control MCI Requirements:

For the FXVid control to work, Microsoft Video for Windows  or QuickTime for Windows must be installed on your computer.

Additionally, you may have to distribute MCI video drivers with your applications.  See the Microsoft Video for Windows documentation for information on distributing the Microsoft Video for Windows Runtime (explained in the VFW.WRI file that ships with Microsoft Video for Windows version 1.1). For information on obtaining QuickTime for Windows, contact APDA - Apple Computer, Inc. at (800) 282-2732 or (716) 871-6555.  For information on distributing applications using QuickTime for Windows, contact the Software Licensing Dept., Apple Computer, Inc. (408) 974-4667.

FXSnd - Sound Control MCI Requirements:

For the FXSnd control to work, MCI services must be present.   These services are provided in the Microsoft Windows operating system version 3.1 and the Microsoft Windows graphical environment version 3.0 with Multimedia Extensions version 1.0.

Media Vision Mixer Support

The FXSnd and FXVid controls support Media Visions virtual mixer interface.  The mixer support requires that the following files be installed.

Filename	Location

MCIMIXER.DRV	\WINDOWS\SYSTEM

MMMIXER.DLL	\WINDOWS\SYSTEM

MVMIXER.DRV	\WINDOWS\SYSTEM

These files are located in the \FXTLSPRO directory.  Check to see if you already have these files installed before you copy them to the \WINDOWS\SYSTEM directory.

Additionally, the driver and mci entries in your SYSTEM.INI file should be:

[drivers]

Mixer=mvmixer.drv

[mci]

Mixer=mcimixer.drv


File Support for FXImage
Appendix C                          File Support for FXImage

The FXImage FileName property supports the following file types:

BMP 	Windows Bitmap

GIF	Compuserve

PCX	Zsoft

TGA	Targa

TIF	Tagged Image File Format (TIFF) 5.0

FXImage will display 1, 4,  8, 16, and 24 bit images.

If your video display is set to 256 colors, then 16 and 24 bit images are first quantized and palettized before they are displayed.  This process can take a significant amount of time depending on the processor speed and the image size. If your video display is set to 16 colors, then 8, 16, and 24 bit images are dithered before they are displayed.

TGA 16 bit is supported

TGA 32 bit is supported but displays as 24 bit.

TIF 16 bit is not supported.

TIF compressed formats are not supported.

An error code is returned in the Err property in response to setting the FileName property.  The Err property is not available at design time and is read-only at run time.  In response to setting the FileName property, FXImage sets the Err property to one of the following values:

Setting	Description

0	No error

-1	Cannot find the image file

-2	The image file type is unknown or unable to read the image file type

-3	Cannot lock memory

-4	Cannot dither the image

-5	Cannot quantize the image palette

-6	Error reading the file

-7	Cannot allocate memory for the image


FileSupport for FXCmp
Appendix D 	                    File Support for FXCmp

The FXCmp FileName property lets you load and display the following image file types:

Format	Bits-per-pixel

PCX	1, 4, 8 & 24

GIF	1, 4 & 8

TGA	8, 16, 24 & 32

BMP	1, 4, 8, 16 & 24

BMP (OS2)	1, 4, 8, 16 & 24

WMF	8 & 24

EPS	8

TIFF	1, 4, 8, 16, 24 & 32

TIFF (LZW)	1, 4, 8, 16, 24 & 32

JTIF (JPEG)	8 gray & 24

YUV 4:4:4,  YUV 4:2:2,  YUV 4:1:1

CCITT TIFF	1

CCITT Group 3	1, 1 dimensional

CCITT Group 3	1, 2 dimensional

CCITT Group 4	1, 2 dimensional

LEAD CMP	1, 8, 16, 24 & 32

YUV 4:4:4,  YUV 4:2:2,  YUV 4:1:1

CMP 1-bit	1

JFIF (JPEG)	8 gray & 24

YUV 4:4:4,  YUV 4:2:2,  YUV 4:1:1

CAL	1

IMG	1

MAC	1

MSP	1

PCD	24  (Requires Kodaks Access Software)

PCT	1, 4, 8 & 24

RAS	1, 4, 8, 24 & 32

WPG	1, 4 & 8

When an image is loaded by setting the FileName property, the following read-only properties are available at runtime to provide information about the image file.

FXError Property

Returns the last image load error.  After the FXError property is read, its value is set to 0.  This property is not available at design time and is read-only at run time.  In response to setting the FileName property, FXCmp sets the FXError property to one of the following values:

Setting	Description

0	No error

-1	Not enough memory available

-2	Invalid bitmap handle

-3	Not enough memory available

-4	Error seeking to position

-6	File not present - abort

-7	Error reading file

-8	Invalid filename specified

-9	Invalid file format

-10	File not found

-11	Invalid width/height

-12	Image format recognized, but sub-type not supported

-13	Invalid parmameter passed

 	-14	Not able to open file

-15	Unknown compression format

-16	Not available for the file format requested

-17	VGA card only supports 256 colors (8-bit)

-21	Invalid QFactor specified

-22	TARGA not installed

-23	Invalid compression format

-24	X origin specified invalid

-25	Y origin specified invalid

-26	Invalid video mode

-27	Invalid bits/pixel

-28	Invalid window size

IBPP Property

Returns the bits per pixel of the  image.

The IBPP property will return one of the following values:

Value	Description

1	Black and white image.

4	16 color image.

8	256 color image.

16	65535 color image.

24	True color image

32	True color + alpha channel image

IFilesize Property

Returns the file size, in bytes, of the image.

IFormat Property

Returns the image format.

The IFormat property will return one of the following values:

Setting	Description

1	ZSoft (PCX)

2	CompuServe (GIF)

3	Tagged Image File Format (TIFF)

4	Targa (TGA)

5	LEAD (CMP)

6	Windows (BMP)

10	JPEG File Interchange Format

11	JPEG Tag Image File Format

14	OS/2 (BMP)

15	Windows Meta File (WMF)

16	Encapsulated PostScript (EPS)

50	CALS Raster (CAL)

51	MacPaint

52	GEM Image

53	Microsoft Paint

54	Word Perfect

55	SUN Raster

56	Macintosh Picture

57	Kodak Photo CD

63	Encapsulated Postscript with embedded TIFF

IHeight Property

Returns the height of the image, in pixels.

IWidth Property

Returns the width of the image, in pixels.

The following properties provide special display capabilites.

Palette Property

Sets or returns the image palette type.  The Palette property is only valid if the current image was loaded using the FileName property and the image is displayed using a palette.

The Palette property settings are:

Setting	Description

0	Optimized Palette (Default) - The image will be displayed using an optimized palette.

1	Fixed Palette - The image will be displayed using an internal fixed palette.

ShowBGR Property

Sets or returns the BGR flag.

The ShowBGR property determines the color order for 24-bit images.  Some 24-bit video cards display using BGR order and some display using RGB order.  If 24-bit images display incorrectly, use the ShowBGR property to change the video order.

ShowDithered Property

Sets or returns the dithering style.

The ShowDithered property sets the dithering method.  An image is dithered when its color depth is reduced from 16, 24 or 32 bits per pixel to 4 or 8 bits per pixel.  The image is dithered using a fixed or optimized palette depending on the setting of the Palette property.

The ShowDithered property settings are:

Setting	Description

0	Nearest Color (Use with an optimized palette only)

1	Floyd-Stein (Default)

2	Stucki

3	Burkes

4	Sierra

5	Stevenson

ShowFlipped Property

Sets or returns the flip image flag. When the ShowFlipped property is True, the image is displayed upside down when it is loaded.

ShowGrayScale Property

Sets or returns the gray scale flag.

When the ShowGrayScale property is True, the image displays gray scaled when it is loaded.

ShowHourglass Property

Sets or returns the hourglass flag.

When the ShowHourglass property is True, the cursor will change to an hourglass whenever an image is loaded using the FileName property.

ShowPCD Property

Sets or returns the PhotoCD image size.

The ShowPCD property determines the image size that will be displayed when a PhotoCD image is loaded.  If the PhotoCD image does not support the requested size, an error will be reported by the FXError property.

The ShowPCD property settings are:

Setting	Description

0	64x96 pixels

1	128x192 pixels

2	256x768 pixels

3	512x768 pixels (Default)

4	1024x1536 pixels

5	2048x3072

ShowReverse Property

Sets or returns the reverse image flag.

When the ShowReverse property is True, the image is displayed reversed when it is loaded.

Compressed File Format Support

JPEG Compression

Supports 42 flavors of JPEG.  Compression ratio range from 3:1 to over 100:1.

CCITT Compression

Supports four variations of the CCITT Group III and Group IV compression standards.

Decompress a 1 MB image in 1 second (486sx-25).

LEAD CMP Compression

LEAD CMP is a high performance algorithm which outperforms standard compression methods.  Color compression ranges from an average of 7:1 with no image information loss to over 200:1 with minimal data loss. Compressed color images decompress and display fast.  For example, a small LEAD CMP file can decompress to a 1 MB 24-bit image in 4-6 seconds (486sx-25).


File Support for FXFif
Appendix E                            File Support for FXFif

In addition to decompressing and displaying FIF images with effects, the FXFif control supports image cropping, dithering, palette optimization, and resolution enhancement as well as providing information about FIF image files.  All properties pertaining to fractal image processing are preceeded by FIF and described below.

FIFCrop Property

Sets or returns the crop flag for FIF images.

When the FIFCrop property is False, the entire image is decompressed.  When the FIFCrop property is True, the FIFCropX, FIFCropY, FIFCropWidth and FIFCropHeight property values specify the area within the image which is decompressed.  This property only applies to FIF images.

FIFCropHeight Property

Sets or returns the height, in pixels, of the crop rectangle for FIF images.

The FIFCropHeight property can be set to a value between 2 and 32768, inclusive.

Use this property in conjunction with the FIFCrop, FIFCropX, FIFCropY and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

FIFCropWidth Property

Sets or returns the width, in pixels, of the crop rectangle for FIF images.

The FIFCropWidth property can be set to a value between 2 and 32768, inclusive.

Use this property in conjunction with the FIFCrop, FIFCropX, FIFCropY and FIFCropHeight properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

FIFCropX Property

Sets or returns the horizontal starting position, in pixels, of the crop rectangle for FIF images.

The FIFCropX property can be set to a value between 0 and 32768, inclusive.

Use this property in conjunction with the FIFCrop,  FIFCropY, FIFCropHeight and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

FIFCropY Property

Sets or returns the vertical starting position, in pixels, of the crop rectangle for FIF images.

The FIFCropY property can be set to a value between 0 and 32768, inclusive.

Use this property in conjunction with the FIFCrop,  FIFCropX, FIFCropHeight and FIFCropWidth properties.  This property only applies to FIF images.  If this property is set to an incorrect value, the image will not be decompressed.  The FIFError property can be used to determine if an error has occured.

FIFDDepth Property

Returns the color depth of the decompressed FIF image.  The depth of an image is the number of bits required to store the color or grayscale value for one pixel.  This property is not available at design time and is read-only at run time.

FIFDHeight Property

Returns the height, in pixels, of the decompressed FIF image.

This property is not available at design time and is read-only at run time.

FIFDither Property

Sets or returns the dither flag for FIF images.

The FIFDither property determines whether the image is dithered or not.  It is set True by default.  Dithering is a method by which pixels of different colors are placed next to each other to produce what is perceived to be a different color.  It fools the eye into believing that more colors are being displayed than is really the case.  Generally dithering will reduce unwanted contouring in areas of plain color (such as faces) and will improve the overall appearance of colormapped output.  This property only applies to FIF images.

FIFDWidth Property

Returns the width, in pixels, of the decompressed FIF image.

This property is not available at design time and is read-only at run time.

FIFError Property

Returns the last FIF decompression error.

After the FIFError property is read, its value is set to 0.

In response to setting the FileName property, FXFif returns the following values in the FIFError Property:

Setting 	Description

0	No error

110	The decompressor is not initialized

111	The decompressor is busy and cannot be initialized

120	The input is an unknown or unsupported file format

130	There is an error in one or more dimensions of the crop rectangle

151	There is an error in the resolution scale values

152	There is an error in the resolution width

153 	There is an error in the resolution height

155	The image area is too large for double scale output

195	The FTT file is in an unknown or unsupported format

196	The FTT filename is too short or too long

197	An FTT file is needed but has not been provided

198	Wrong FTT file provided for FIF file.

-10	Error opening file

-11	Error closing file

-12	Error reading from file

-14	Error seeking in file

-15	Invalid file handle

-16	File too large or too small

-17	File in unknown format

-18	File in known but unsupported format

FIFFormat Property

Sets or returns the decompressed color format.

The FIF file will be decompressed to the format defined by the FIFFormat property unless the FIFFormat property is set to a format that the display cannot handle.  For example, if you can only display 256 colors, the FIF file will be decompressed to 256 colors even if the FIFFormat property is set to "True Color".

The FIFFormat property settings are:

Setting	Description

0	256 Colors (8-bit) (Default)

1	32768 Colors (15-bit)

2	True Color (24-bit)

FIFODepth Property

Returns the color depth of the original image before it was compressed to the FIF format.  The depth of an image is the number of bits required to store the color or grayscale value for one pixel.  This property is not available at design time and is read-only at run time.

FIFOHeight Property

Returns the height, in pixels, of the original image before it was compressed to the FIF format.

This property is not available at design time and is read-only at run time.

FIFOWidth Property

Returns the width, in pixels, of the original image before it was compressed to the FIF format

This property is not available at design time and is read-only at run time.

FIFPalette Property

Sets or returns the FIF image palette type for 256 color (8-bit) images.

The FIFPalette property settings are:

Setting	Description

0	(Default) Optimized - The decompressor will generate an

optimized palette for the image.  The number of colors in the

palette is determined by the FIFPaletteColors property.

1	Fixed - The decompressor uses an internal 256 color fixed palette.

FIFPaletteColors Property

Sets or returns the number of palette colors in the FIF image.  The decompressor uses this number when it generates an optimized palette for the image.  The default value is 256 colors.

The FIFPaletteColors property can be set to a value between 1 and 256, inclusive.

FIFRes Property

Sets or returns the resolution style for FIF images.

The FIFRes property settings are:

Setting	Description

0	(Default) Full Scale - The resolution of the decompressed image

will be the original resolution of the image.

1	Half Scale - The resolution of the decompressed image will be

half the original resolution of the image.

2	Double Scale - The resolution of the decompressed image will be

twice the original resolution of the image.  This style is limited

to images whose original size is less than or equal to 64,000

pixels.  An error will occur if the original image size is greater

than 64,000 pixels.  The FIFError property can be used to

determine the error code.

3	Set Scale - The resolution of the decompressed image is set

by the FIFResWidth and FIFResHeight properties.

FIFResHeight Property

Sets or returns the resolution height of the FIF image.

If the FIFRes property is set to Set Scale, the decompressor will use the FIFResHeight property value to determine the height of the decompressed image.  The FIFResHeight property can be set to a value between 2 and 32768, inclusive.  An error will occur if the decompressor cannot decompress the image to the height specified.  Use the FIFError property to determine the error code.

FIFResWidth Property

Sets or returns the resolution width of the FIF image.

If the FIFRes property is set to Set Scale, the decompressor will use the FIFResWidth property value to determine the width of the decompressed image.  The FIFResWidth property can be set to a value between 2 and 32768, inclusive.  An error will occur if the decompressor cannot decompress the image to the width specified.  Use the FIFError property to determine the error code.